/*==============================================================*/
/* DBMS name:      ORACLE Version 8i2 (8.1.6)                   */
/* Created on:     10/08/2005 04:44:57 p.m.                     */
/*==============================================================*/


drop sequence DETALLE_SOLICITUD_CP_GEN;

drop sequence GEN_PL;

drop sequence INCIP;

drop sequence INCLOGRELOJX;

drop sequence INCNUMABONNE;

drop sequence INCNUMAPPEL;

drop sequence INCNUMBN;

drop sequence INCNUMBNINT;

drop sequence INCNUMCAMBIO;

drop sequence INCNUMEC;

drop sequence INCNUMHIST;

drop sequence INCNUMID_RECHABONNE;

drop sequence INCNUMIMP;

drop sequence INCNUMITV;

drop sequence INCNUMLOGIN;

drop sequence INCNUMLOTEX;

drop sequence INCNUMMAIL;

drop sequence INCNUMMOUVEMENT;

drop sequence INCNUMORDREPPV;

drop sequence INCNUMPAYAV;

drop sequence INCNUMRDV;

drop sequence INCNUMRECH;

drop sequence INCNUMRECU;

drop sequence INCNUMROLE;

drop sequence INCNUMSOC;

drop sequence INCNUMSTATRECO;

drop sequence INCNUMVENTE;

drop sequence INCNUMVISITE;

drop sequence INCPAGO;

drop sequence INCTRANSACDLAX;

drop sequence INC_SALDOS_PENDIENTES;

drop sequence SOLICITUD_CABIO_PRECIO_GEN;

create sequence DETALLE_SOLICITUD_CP_GEN;

create sequence GEN_PL;

create sequence INCIP;

create sequence INCLOGRELOJX;

create sequence INCNUMABONNE;

create sequence INCNUMAPPEL;

create sequence INCNUMBN;

create sequence INCNUMBNINT;

create sequence INCNUMCAMBIO;

create sequence INCNUMEC;

create sequence INCNUMHIST;

create sequence INCNUMID_RECHABONNE;

create sequence INCNUMIMP;

create sequence INCNUMITV;

create sequence INCNUMLOGIN;

create sequence INCNUMLOTEX;

create sequence INCNUMMAIL;

create sequence INCNUMMOUVEMENT;

create sequence INCNUMORDREPPV;

create sequence INCNUMPAYAV;

create sequence INCNUMRDV;

create sequence INCNUMRECH;

create sequence INCNUMRECU;

create sequence INCNUMROLE;

create sequence INCNUMSOC;

create sequence INCNUMSTATRECO;

create sequence INCNUMVENTE;

create sequence INCNUMVISITE;

create sequence INCPAGO;

create sequence INCTRANSACDLAX;

create sequence INC_SALDOS_PENDIENTES;

create sequence SOLICITUD_CABIO_PRECIO_GEN;

/*==============================================================*/
/* Table: ABONNE                                                */
/*==============================================================*/
create table ABONNE  (
   NUMABONNE            NUMBER(10)                      not null,
   NUMSOUSCRIPT         NUMBER(10),
   NUMCONTRAT           NUMBER(10),
   GENRE                CHAR(1),
   NOM                  VARCHAR2(50),
   LGT                  VARCHAR2(4),
   CODINSEE             VARCHAR2(5),
   ADRESSE              VARCHAR2(100),
   BOITPOST             VARCHAR2(15),
   TELDOM               VARCHAR2(14),
   TELBURO              VARCHAR2(14),
   TELCEL               VARCHAR2(14),
   DTABON               DATE,
   DTSAISIE             DATE,
   LETWLC               CHAR(3),
   CODOPE               VARCHAR2(10),
   RUTA                 NUMBER(10),
   CBOR                 CHAR(4),
   NATION               VARCHAR2(10),
   CAUTION              NUMBER(14,2),
   TRAVAIL              VARCHAR2(20),
   CODRGT               CHAR(4),
   NUMTVA               VARCHAR2(10),
   SOLDE                NUMBER(14,2),
   LOCALIZATION         VARCHAR2(5),
   CEDULA               VARCHAR2(20),
   NUMID                NUMBER(10),
   INTERNET             VARCHAR2(60),
   HABITACION           NUMBER(5),
   LIMITPPV             NUMBER(14,2),
   ASUJETIV             CHAR(1),
   VENCELGT             DATE,
   TIPO                 VARCHAR2(1),
   NITREAL              VARCHAR2(25),
   NUME_HOGAR           VARCHAR2(8),
   CPROV                VARCHAR2(3),
   CCANTON              VARCHAR2(3),
   CDISTRI              VARCHAR2(3),
   CLAVEDLA             VARCHAR2(8),
   TIPOFACT             CHAR(4),
   TEMPORAL             NUMBER(10),
   TELFAX               VARCHAR2(14),
   MULTA                CHAR(1),
   GESTION              VARCHAR2(1),
   MOTIVO_GESTION       VARCHAR2(3),
   FECHA_GESTION        DATE,
   GESTOR               VARCHAR2(10),
   constraint ABONNEPRIMARYKEY1 primary key (NUMABONNE)
);

/*==============================================================*/
/* Index: ABONNEINDEX1                                          */
/*==============================================================*/
create index ABONNEINDEX1 on ABONNE (
   NUMCONTRAT ASC
);

/*==============================================================*/
/* Index: ABONNEINDEX2                                          */
/*==============================================================*/
create index ABONNEINDEX2 on ABONNE (
   CBOR ASC
);

/*==============================================================*/
/* Index: ABONNEINDEX3                                          */
/*==============================================================*/
create index ABONNEINDEX3 on ABONNE (
   LOCALIZATION ASC
);

/*==============================================================*/
/* Index: ABONNEINDEX4                                          */
/*==============================================================*/
create index ABONNEINDEX4 on ABONNE (
   NOM ASC
);

/*==============================================================*/
/* Table: ABONNEPPV                                             */
/*==============================================================*/
create table ABONNEPPV  (
   NUMORDREPPV          NUMBER(10)                      not null,
   NUMABONNE            NUMBER(10),
   DTSAISIE             DATE,
   NUMTRANSACDLA        NUMBER(10),
   NUMEVENT             NUMBER(10),
   NUMSERIE             VARCHAR2(15),
   DTFACT               DATE,
   constraint ABONNEPPVPRIMARYKEY1 primary key (NUMORDREPPV)
);

/*==============================================================*/
/* Index: ABONNEPPVINDEX1                                       */
/*==============================================================*/
create index ABONNEPPVINDEX1 on ABONNEPPV (
   NUMEVENT ASC
);

/*==============================================================*/
/* Index: ABONNEPPVINDEX2                                       */
/*==============================================================*/
create index ABONNEPPVINDEX2 on ABONNEPPV (
   NUMABONNE ASC
);

/*==============================================================*/
/* Table: ABONNEPPVPROB                                         */
/*==============================================================*/
create table ABONNEPPVPROB  (
   NUMORDREPPV          NUMBER(10)                      not null,
   DTSAISIE             DATE,
   NUMSERIE             VARCHAR2(15),
   NUMABONNE            NUMBER(10),
   constraint ABONNEPPVPROBPRIMARYKEY1 primary key (NUMORDREPPV)
);

/*==============================================================*/
/* Table: ABONNE_HIST                                           */
/*==============================================================*/
create table ABONNE_HIST  (
   PERIODE              VARCHAR2(7)                     not null,
   NUMABONNE            NUMBER(10)                      not null,
   SOLD1                NUMBER(14,2)                    not null,
   SOLD2                NUMBER(14,2)                    not null,
   SOLD3                NUMBER(14,2)                    not null,
   SOLD4                NUMBER(14,2)                    not null,
   SOLD5                NUMBER(14,2)                    not null,
   ESTADO               CHAR(1),
   LGT                  CHAR(4),
   OPTICNODE            VARCHAR2(10),
   DTRESI               DATE,
   CODRESI              CHAR(4),
   constraint ABONNE_HISTPRIMARYKEY1 primary key (PERIODE, NUMABONNE)
);

/*==============================================================*/
/* Table: ACTUALIZACION                                         */
/*==============================================================*/
create table ACTUALIZACION  (
   NUMABONNE            NUMBER(10)                      not null,
   OPTICNODE            VARCHAR2(10),
   NUMTAP               VARCHAR2(9),
   SORTIETAP            NUMBER(5),
   constraint ACTUALIZACIONPRIMARYKEY1 primary key (NUMABONNE)
);

/*==============================================================*/
/* Table: AG                                                    */
/*==============================================================*/
create table AG  (
   NUMABONNE            NUMBER(10)                      not null,
   SOLD1                NUMBER(14,2),
   SOLD2                NUMBER(14,2),
   SOLD3                NUMBER(14,2),
   SOLD4                NUMBER(14,2),
   SOLD5                NUMBER(14,2),
   constraint AGPRIMARYKEY1 primary key (NUMABONNE)
);

/*==============================================================*/
/* Index: AGINDEX1                                              */
/*==============================================================*/
create index AGINDEX1 on AG (
   SOLD5 ASC
);

/*==============================================================*/
/* Table: AMNETINFO                                             */
/*==============================================================*/
create table AMNETINFO  (
   FICHEID              NUMBER(10)                      not null,
   PRECIOS              BLOB,
   CANALES              BLOB,
   NOTICIAS             BLOB,
   TELEFONO             BLOB,
   PROMOCION            BLOB,
   AVERIAS              BLOB,
   COBERINTERNET        BLOB,
   VENTAS               BLOB,
   RHUMANO              BLOB,
   INFOLOGIC            BLOB,
   INFORADIOS           BLOB,
   constraint AMNETINFOPRIMARYKEY1 primary key (FICHEID)
);

/*==============================================================*/
/* Table: AVERINTERNET                                          */
/*==============================================================*/
create table AVERINTERNET  (
   NUMLLAMADA           NUMBER(10)                      not null,
   NUMABONNE            NUMBER(10)                      not null,
   NUMOT                NUMBER(10),
   FECHAINI             DATE,
   HORAINI              VARCHAR2(5),
   USUARIOINI           VARCHAR2(10),
   MOTIVO               VARCHAR2(4),
   RESPUESTA            VARCHAR2(4),
   OBSERVACION          LONG VARCHAR,
   ESTADO               CHAR(1),
   GRUPOLATE            VARCHAR2(4),
   FECHAFINAL           DATE,
   HORAFINAL            VARCHAR2(5),
   USUARIOFIN           VARCHAR2(10),
   NUMCASO              NUMBER(10),
   PRIORIDAD            NUMBER(10),
   constraint AVERINTERNETPRIMARYKEY1 primary key (NUMLLAMADA)
);

/*==============================================================*/
/* Index: AVERINTERNETINDEX1                                    */
/*==============================================================*/
create index AVERINTERNETINDEX1 on AVERINTERNET (
   NUMLLAMADA ASC
);

/*==============================================================*/
/* Index: AVERINTERNETINDEX2                                    */
/*==============================================================*/
create index AVERINTERNETINDEX2 on AVERINTERNET (
   NUMABONNE ASC
);

/*==============================================================*/
/* Index: AVERINTERNETINDEX3                                    */
/*==============================================================*/
create index AVERINTERNETINDEX3 on AVERINTERNET (
   NUMOT ASC
);

/*==============================================================*/
/* Index: AVERINTERNETINDEX4                                    */
/*==============================================================*/
create index AVERINTERNETINDEX4 on AVERINTERNET (
   NUMCASO ASC
);

/*==============================================================*/
/* Table: BITACORA_NODOS                                        */
/*==============================================================*/
create table BITACORA_NODOS  (
   CODIGO_HEADEND       VARCHAR2(5)                     not null,
   CODIGO_HUB           VARCHAR2(5)                     not null,
   NUMNODE              VARCHAR2(10)                    not null,
   FECHA                DATE                            not null,
   HORA                 NUMBER(10)                      not null,
   ESTADO               NUMBER(10)                      not null,
   USUARIO              VARCHAR2(10),
   COMENTARIO           VARCHAR2(250),
   constraint BITACORA_NODOS_PK primary key (CODIGO_HEADEND, CODIGO_HUB, NUMNODE, FECHA, HORA, ESTADO)
);

/*==============================================================*/
/* Table: BLOCNOTE                                              */
/*==============================================================*/
create table BLOCNOTE  (
   NUMBN                NUMBER(10)                      not null,
   NUMABONNE            NUMBER(10),
   DTSAISIE             DATE,
   LIB                  VARCHAR2(50),
   CODOPE               VARCHAR2(10),
   constraint BLOCNOTEPRIMARYKEY1 primary key (NUMBN)
);

/*==============================================================*/
/* Index: BLOCNOTEINDEX1                                        */
/*==============================================================*/
create index BLOCNOTEINDEX1 on BLOCNOTE (
   NUMABONNE ASC
);

/*==============================================================*/
/* Index: BLOCNOTEINDEX2                                        */
/*==============================================================*/
create index BLOCNOTEINDEX2 on BLOCNOTE (
   DTSAISIE ASC
);

/*==============================================================*/
/* Table: CABLEMODEMSERV                                        */
/*==============================================================*/
create table CABLEMODEMSERV  (
   ORDRE                NUMBER(10)                      not null,
   NUMSERIE             VARCHAR2(40),
   MACADDRESS           VARCHAR2(15),
   TIPOEQUIPO           VARCHAR2(10),
   FECHAVENCIM          DATE,
   PROPIETARIO          VARCHAR2(10),
   NUMCLIALOPA          VARCHAR2(10),
   POLITICA             VARCHAR2(10),
   constraint PK_SERVCM primary key (ORDRE)
);

/*==============================================================*/
/* Table: CAJACAJERO                                            */
/*==============================================================*/
create table CAJACAJERO  (
   NUMMOUVEMENT         NUMBER(10)                      not null,
   HEURE                VARCHAR2(5),
   DTCPT                DATE,
   CASHIER              VARCHAR2(10),
   CASHEFECTIVOCOL      NUMBER(14,2),
   CASHEFECTIVODOL      NUMBER(14,2),
   CASHCHEQUECOL        NUMBER(14,2),
   CASHCHEQUEDOL        NUMBER(14,2),
   CASHBANCODEPOSIT     NUMBER(14,2),
   CASHDIFER            NUMBER(14,2),
   CASHVOUCHERCREST     NUMBER(14,2),
   CASHVOUCHERCREDOMATIC NUMBER(14,2),
   CASHVOUCHERAVAL      NUMBER(14,2),
   CASHDIFERCANAL       NUMBER(14,2),
   CASHDIFERSISTEMAS    NUMBER(14,2),
   COMENTARIO           VARCHAR2(200),
   CAMBIO               NUMBER(14,2),
   COMISION             NUMBER(14,2),
   DIFERCAMBIO          NUMBER(14,2),
   DIFERCORTE           NUMBER(14,2),
   PCOBRAREMPLEA        NUMBER(14,2),
   DIFERCAJERO          NUMBER(14,2),
   constraint CAJACAJEROPRIMARYKEY1 primary key (NUMMOUVEMENT)
);

/*==============================================================*/
/* Table: CAJAPRINC                                             */
/*==============================================================*/
create table CAJAPRINC  (
   NUMMOUVEMENT         NUMBER(10)                      not null,
   HEURE                VARCHAR2(5),
   CODOPE               VARCHAR2(10),
   DTCPT                DATE,
   NUMLOTE              VARCHAR2(10),
   CASHIER              VARCHAR2(10),
   TOTEFECTIVO          NUMBER(14,2),
   TOTCHEQUE            NUMBER(14,2),
   TOTBANCRECEN         NUMBER(14,2),
   TOTCREDOMATIC        NUMBER(14,2),
   TOTAVAL              NUMBER(14,2),
   TOTOTRO              NUMBER(14,2),
   TOTCREST             NUMBER(14,2),
   TOTBANCO             NUMBER(14,2),
   CASHEFECTIVOCOL      NUMBER(14,2),
   CASHEFECTIVODOL      NUMBER(14,2),
   CASHCHEQUECOL        NUMBER(14,2),
   CASHCHEQUEDOL        NUMBER(14,2),
   CASHBANCODEPOSIT     NUMBER(14,2),
   CASHDIFER            NUMBER(14,2),
   CASHVOUCHERCREST     NUMBER(14,2),
   CASHVOUCHERCREDOMATIC NUMBER(14,2),
   CASHVOUCHERAVAL      NUMBER(14,2),
   CASHDIFERCANAL       NUMBER(14,2),
   CASHDIFERSISTEMAS    NUMBER(14,2),
   COMENTARIO           VARCHAR2(200),
   CAMBIO               NUMBER(14,2),
   COMISION             NUMBER(14,2),
   TOTBSJ               NUMBER(14,2),
   DIFERCAMBIO          NUMBER(14,2),
   DIFERCORTE           NUMBER(14,2),
   PCOBRAREMPLEA        NUMBER(14,2),
   DIFERCAJERO          NUMBER(14,2),
   TIPO                 VARCHAR2(5),
   OFICINA              CHAR(4),
   AVALMILLAS           NUMBER(14,2),
   TOTAVALMILLAS        NUMBER(14,2),
   CASHAVALMILLAS       NUMBER(14,2),
   DIFERAVALMILLAS      NUMBER(14,2),
   constraint CAJAPRINCPRIMARYKEY1 primary key (NUMMOUVEMENT)
);

/*==============================================================*/
/* Index: CAJAPRINCINDEX1                                       */
/*==============================================================*/
create index CAJAPRINCINDEX1 on CAJAPRINC (
   DTCPT ASC
);

/*==============================================================*/
/* Index: CAJAPRINCINDEX2                                       */
/*==============================================================*/
create index CAJAPRINCINDEX2 on CAJAPRINC (
   CODOPE ASC
);

/*==============================================================*/
/* Table: CAMBIOCOLILLA                                         */
/*==============================================================*/
create table CAMBIOCOLILLA  (
   NUMCAMBIO            NUMBER(10)                      not null,
   NUMABONNE            NUMBER(10)                      not null,
   NUMSOUSCRIPT         NUMBER(10),
   NOM                  VARCHAR2(50),
   DTSAISIE             DATE,
   CODOPE               VARCHAR2(10),
   constraint CAMBIOCOLILLAPRIMARYKEY1 primary key (NUMCAMBIO)
);

/*==============================================================*/
/* Table: CANTONES                                              */
/*==============================================================*/
create table CANTONES  (
   CCANTON              VARCHAR2(3)                     not null,
   NCANTON              VARCHAR2(50),
   CPROV                VARCHAR2(2)                     not null,
   CPAIS                VARCHAR2(3)                     not null,
   constraint CANTONES_PK primary key (CCANTON, CPROV, CPAIS)
);

/*==============================================================*/
/* Table: CDDTRCONDI                                            */
/*==============================================================*/
create table CDDTRCONDI  (
   NUMABONNE            NUMBER(10),
   OFICIAL              VARCHAR2(10),
   FECHA                DATE,
   ESTCTA               VARCHAR2(1),
   INST                 VARCHAR2(1),
   AVE                  VARCHAR2(1),
   TEXT                 VARCHAR2(1),
   TINST                VARCHAR2(1),
   DEV                  VARCHAR2(1),
   DES                  VARCHAR2(1),
   RECO                 VARCHAR2(1),
   PREM                 VARCHAR2(1),
   STEC                 VARCHAR2(1),
   SALDO                VARCHAR2(1),
   VENTAS               VARCHAR2(1),
   VARIOS               VARCHAR2(1),
   OBSERV               VARCHAR2(100),
   TELEFONO             VARCHAR2(14),
   EMISOR               VARCHAR2(50),
   CMBTAR               VARCHAR2(1),
   EXCTAR               VARCHAR2(1),
   INCTAR               VARCHAR2(1)
);

/*==============================================================*/
/* Index: CDDTRCONDIINDEX1                                      */
/*==============================================================*/
create index CDDTRCONDIINDEX1 on CDDTRCONDI (
   FECHA ASC
);

/*==============================================================*/
/* Index: CDDTRCONDIINDEX2                                      */
/*==============================================================*/
create index CDDTRCONDIINDEX2 on CDDTRCONDI (
   TELEFONO ASC
);

/*==============================================================*/
/* Index: CDDTRCONDIINDEX3                                      */
/*==============================================================*/
create index CDDTRCONDIINDEX3 on CDDTRCONDI (
   NUMABONNE ASC
);

/*==============================================================*/
/* Table: CIUDADES                                              */
/*==============================================================*/
create table CIUDADES  (
   CODIGO               NUMBER(10)                      not null,
   DESCRIPCION          VARCHAR2(50),
   constraint PK1 primary key (CODIGO)
);

/*==============================================================*/
/* Table: CLOSING                                               */
/*==============================================================*/
create table CLOSING  (
   DTCLOS               DATE                            not null,
   constraint CLOSINGPRIMARYKEY1 primary key (DTCLOS)
);

/*==============================================================*/
/* Index: CLOSINGINDEX1                                         */
/*==============================================================*/
create index CLOSINGINDEX1 on CLOSING (
   DTCLOS ASC
);

/*==============================================================*/
/* Table: COMMUNE                                               */
/*==============================================================*/
create table COMMUNE  (
   CODINSEE             VARCHAR2(5)                     not null,
   NOM                  VARCHAR2(25),
   NBPREV               NUMBER(10),
   NUMSOC               NUMBER(5)                       not null,
   constraint COMMUNEPRIMARYKEY1 primary key (CODINSEE)
);

/*==============================================================*/
/* Table: COMPTA                                                */
/*==============================================================*/
create table COMPTA  (
   PERIODE              VARCHAR2(7)                     not null,
   CAMBIO               NUMBER(14,2),
   STATUS               CHAR(4),
   constraint COMPTAPRIMARYKEY1 primary key (PERIODE)
);

/*==============================================================*/
/* Table: COMPTE                                                */
/*==============================================================*/
create table COMPTE  (
   CPTNUM               VARCHAR2(20),
   LIB                  VARCHAR2(50)
);

/*==============================================================*/
/* Table: CONFIGURACION                                         */
/*==============================================================*/
create table CONFIGURACION  (
   DESC3                NUMBER(14,2),
   DESC6                NUMBER(14,2),
   DESC9                NUMBER(14,2),
   DESC12               NUMBER(14,2),
   TIPOMULTA            CHAR(1),
   MULTA                NUMBER(14,2),
   PASSENCRYP           CHAR(1),
   AVALMILLAS           NUMBER(14,2),
   AVALMONTO            NUMBER(14,2),
   FACTORAVAL           NUMBER(14,2),
   RUTA_PPV_WIN         VARCHAR2(30),
   RUTA_PPV_LINUX       VARCHAR2(30),
   ALOPA                CHAR(1),
   PNODESCO             CHAR(4),
   PDESCOTRAS           CHAR(4),
   PDESCONORM           CHAR(4),
   COD_DEPOSITO         CHAR(4),
   COST_INS             CHAR(4)
);

/*==============================================================*/
/* Table: CONTACTOS                                             */
/*==============================================================*/
create table CONTACTOS  (
   NUMCONTACTO          NUMBER(10)                      not null,
   NUMABONNE            NUMBER(10)                      not null,
   NOMBRE               VARCHAR2(50),
   TELEFONO1            VARCHAR2(10),
   TELEFONO2            VARCHAR2(10),
   EMAIL                VARCHAR2(50),
   APARTADO             VARCHAR2(15)
);

/*==============================================================*/
/* Table: CONTRAT                                               */
/*==============================================================*/
create table CONTRAT  (
   TYPCTRT              CHAR(4),
   DTLASTMODIF          DATE,
   DTRESI               DATE,
   CODRESI              CHAR(4),
   CODRGT               CHAR(4),
   CODVDS               CHAR(4),
   CODPROV              CHAR(4),
   COMENTARIO           VARCHAR2(100),
   NUMABONNE            NUMBER(10)                      not null,
   AMPLIACION           CHAR(1),
   INSINMEDIATA         CHAR(1),
   TIPOTRABAJO          CHAR(4),
   constraint CONTRATPRIMARYKEY1 primary key (NUMABONNE)
);

/*==============================================================*/
/* Index: CONTRATINDEX1                                         */
/*==============================================================*/
create index CONTRATINDEX1 on CONTRAT (
   DTRESI ASC
);

/*==============================================================*/
/* Index: CONTRATINDEX2                                         */
/*==============================================================*/
create index CONTRATINDEX2 on CONTRAT (
   CODVDS ASC
);

/*==============================================================*/
/* Table: CORREOS                                               */
/*==============================================================*/
create table CORREOS  (
   NUMMAIL              NUMBER(10)                      not null,
   ORDRE                NUMBER(10),
   NUMINTER             NUMBER(10),
   LOGIN                VARCHAR2(25),
   DOMINIO              VARCHAR2(25),
   PASSWD               VARCHAR2(20),
   CAPACITY             NUMBER(14,2),
   ESTADO               CHAR(1),
   DTSAISIE             DATE,
   DTMENS               DATE,
   DTRESI               DATE,
   MOVIMIENTO           CHAR(3),
   constraint CORREOS_PK primary key (NUMMAIL)
);

/*==============================================================*/
/* Index: CORREOSINDEX1                                         */
/*==============================================================*/
create index CORREOSINDEX1 on CORREOS (
   NUMINTER ASC
);

/*==============================================================*/
/* Index: CORREOSINDEX2                                         */
/*==============================================================*/
create index CORREOSINDEX2 on CORREOS (
   ORDRE ASC
);

/*==============================================================*/
/* Table: CREDFISCAL                                            */
/*==============================================================*/
create table CREDFISCAL  (
   NUMABONNE            NUMBER(10)                      not null,
   NUMREGISTRO          VARCHAR2(10),
   ACTIVIDAD            VARCHAR2(50),
   constraint CREDFISCAL_PK primary key (NUMABONNE)
);

/*==============================================================*/
/* Table: DECOLUNES                                             */
/*==============================================================*/
create table DECOLUNES  (
   NUMABONNE            NUMBER(10)                      not null,
   SALDO                NUMBER(14,2),
   CODOPE               VARCHAR2(10),
   DTSAISIE             DATE,
   NOM                  VARCHAR2(50),
   JOUR                 VARCHAR2(10),
   CODINSEE             VARCHAR2(5),
   constraint DECOLUNESPRIMARYKEY1 primary key (NUMABONNE)
);

/*==============================================================*/
/* Index: DECOLUNESINDEX1                                       */
/*==============================================================*/
create index DECOLUNESINDEX1 on DECOLUNES (
   JOUR ASC
);

/*==============================================================*/
/* Table: DEMENAGE                                              */
/*==============================================================*/
create table DEMENAGE  (
   NUMABONNE            NUMBER(10)                      not null,
   ADRESSE              VARCHAR2(100),
   CODINSEE             VARCHAR2(5),
   TELDOM               VARCHAR2(14),
   DTRACC               DATE,
   CODINT               CHAR(4),
   COMENTARIO           VARCHAR2(100),
   LOCA                 VARCHAR2(11),
   LOCALIZATION         VARCHAR2(5),
   OPTICNODE            VARCHAR2(10),
   constraint DEMENAGEPRIMARYKEY1 primary key (NUMABONNE)
);

/*==============================================================*/
/* Table: DEPOSITOS                                             */
/*==============================================================*/
create table DEPOSITOS  (
   NUMABONNE            NUMBER(10)                      not null,
   DEPOSITO             NUMBER(14,2)                    not null,
   ESTADO               CHAR(1),
   RECIBO               NUMBER(10),
   CODOPE               VARCHAR2(10),
   FECHA                DATE,
   constraint DEPOSITOS_PK primary key (NUMABONNE)
);

/*==============================================================*/
/* Table: DERECHOS_REPORTE                                      */
/*==============================================================*/
create table DERECHOS_REPORTE  (
   GRUPO                CHAR(4),
   REPORTE              VARCHAR2(50)
);

/*==============================================================*/
/* Table: DETALLE_SOLICITUD_CP                                  */
/*==============================================================*/
create table DETALLE_SOLICITUD_CP  (
   ID_DETALLE           NUMBER(10)                      not null,
   ID_SOLICITUD         NUMBER(10)                      not null,
   ORDRE                NUMBER(10)                      not null,
   CODPROD              CHAR(4),
   NUEVO_PRECIO         NUMBER(14,2)                    not null,
   constraint PK_DETALLE_SOLICITUD_CP primary key (ID_DETALLE)
);

/*==============================================================*/
/* Table: DETEC                                                 */
/*==============================================================*/
create table DETEC  (
   NUMPIECE             NUMBER(10)                      not null,
   CODPROD              CHAR(4)                         not null,
   MTT                  NUMBER(14,2),
   CODTVA               CHAR(4),
   NUMJRNL              CHAR(3),
   CANTIDAD             NUMBER(10),
   constraint DETECPRIMARYKEY1 primary key (NUMPIECE, CODPROD)
);

/*==============================================================*/
/* Index: DETECINDEX1                                           */
/*==============================================================*/
create index DETECINDEX1 on DETEC (
   NUMPIECE ASC
);

/*==============================================================*/
/* Index: DETECINDEX2                                           */
/*==============================================================*/
create index DETECINDEX2 on DETEC (
   CODPROD ASC
);

/*==============================================================*/
/* Table: DETECHQ                                               */
/*==============================================================*/
create table DETECHQ  (
   NUMPIECE             NUMBER(10)                      not null,
   NUMCHQ               VARCHAR2(10),
   BANKCHQ              VARCHAR2(25),
   EMISOR               VARCHAR2(25),
   NUMCARD              VARCHAR2(16),
   NUMAUTORIZ           VARCHAR2(16),
   TARJETAHABIENTE      VARCHAR2(40),
   MILLAS               NUMBER(14,2),
   PAQUETE              CHAR(4),
   constraint DETECHQPRIMARYKEY1 primary key (NUMPIECE)
);

/*==============================================================*/
/* Table: DETINTER                                              */
/*==============================================================*/
create table DETINTER  (
   NUMINTER             NUMBER(10)                      not null,
   CODPROD              CHAR(4)                         not null,
   QTEDMD               NUMBER(5),
   MOVIMIENTO           CHAR(3),
   ESTADO               CHAR(1),
   ORDREVTE             NUMBER(10)                      not null,
   TIPO                 VARCHAR2(1),
   MOTIVO               VARCHAR2(4),
   constraint DETINTERPRIMARYKEY1 primary key (NUMINTER, ORDREVTE)
);

/*==============================================================*/
/* Index: DETINTERINDEX1                                        */
/*==============================================================*/
create index DETINTERINDEX1 on DETINTER (
   NUMINTER ASC
);

/*==============================================================*/
/* Index: DETINTERINDEX2                                        */
/*==============================================================*/
create index DETINTERINDEX2 on DETINTER (
   CODPROD ASC
);

/*==============================================================*/
/* Table: DETINTERMAT                                           */
/*==============================================================*/
create table DETINTERMAT  (
   NUMINTER             NUMBER(10)                      not null,
   CODMAT               VARCHAR2(9)                     not null,
   QTEINST              NUMBER(5),
   constraint DETINTERMATPRIMARYKEY1 primary key (NUMINTER, CODMAT)
);

/*==============================================================*/
/* Table: DETINTER_TEMP                                         */
/*==============================================================*/
create table DETINTER_TEMP  (
   NUMINTER             NUMBER(10)                      not null,
   ORDRE                NUMBER(10)                      not null,
   NUMSERIE             VARCHAR2(15),
   CODPROD              CHAR(4)                         not null,
   TIPOACCION           CHAR(3),
   ACCRESULT            VARCHAR2(50),
   OPTICNODE            VARCHAR2(10)
);

/*==============================================================*/
/* Table: DICO                                                  */
/*==============================================================*/
create table DICO  (
   OBJID                NUMBER(10)                      not null,
   VERSION              NUMBER(5)                       not null,
   NAME                 VARCHAR2(31),
   ALIASNAME            VARCHAR2(31),
   TYPEID               NUMBER(10),
   MISCINFO1            NUMBER(10),
   MISCINFO2            NUMBER(10),
   SRCOBJID             NUMBER(10),
   SRCVERSION           NUMBER(5),
   DESTOBJID            NUMBER(10),
   DESTVERSION          NUMBER(5),
   OUTOFDATE            VARCHAR2(1),
   CREATEDATE           DATE,
   LASTUPDATE           DATE,
   INFOBLOB             BLOB,
   MISCINFO3            NUMBER(10),
   constraint DICO_PK primary key (OBJID, VERSION)
);

/*==============================================================*/
/* Index: OALIASNAME                                            */
/*==============================================================*/
create index OALIASNAME on DICO (
   TYPEID ASC,
   ALIASNAME ASC
);

/*==============================================================*/
/* Index: ONAME                                                 */
/*==============================================================*/
create index ONAME on DICO (
   TYPEID ASC,
   NAME ASC
);

/*==============================================================*/
/* Index: RELDEST                                               */
/*==============================================================*/
create index RELDEST on DICO (
   DESTOBJID ASC,
   DESTVERSION ASC,
   TYPEID ASC,
   SRCOBJID ASC,
   SRCVERSION ASC
);

/*==============================================================*/
/* Index: RELSRC                                                */
/*==============================================================*/
create index RELSRC on DICO (
   SRCOBJID ASC,
   SRCVERSION ASC,
   TYPEID ASC,
   DESTOBJID ASC,
   DESTVERSION ASC
);

/*==============================================================*/
/* Index: TYPEID                                                */
/*==============================================================*/
create index TYPEID on DICO (
   TYPEID ASC
);

/*==============================================================*/
/* Table: DISTRITOS                                             */
/*==============================================================*/
create table DISTRITOS  (
   CDISTRI              VARCHAR2(3)                     not null,
   NDISTRI              VARCHAR2(50),
   CCANTON              VARCHAR2(3)                     not null,
   CPROV                VARCHAR2(2)                     not null,
   CPAIS                VARCHAR2(3)                     not null,
   constraint DISTRITOS_PK primary key (CDISTRI, CCANTON, CPROV, CPAIS)
);

/*==============================================================*/
/* Table: DROITS                                                */
/*==============================================================*/
create table DROITS  (
   DROIT                CHAR(4)                         not null,
   LIB                  VARCHAR2(25),
   SOCIO                CHAR(1),
   NUEVOSOCIO           CHAR(1),
   CONSULTSOCIO         CHAR(1),
   MODIFSOCIO           CHAR(1),
   MODIFINTERNET        CHAR(1),
   CAMBIOSERV           CHAR(1),
   REACTIV              CHAR(1),
   COMPLETEOT           CHAR(1),
   MODIFOT              CHAR(1),
   DESCO                CHAR(1),
   RECO                 CHAR(1),
   TRASLADO             CHAR(1),
   COLILLA              CHAR(1),
   CONTA                CHAR(1),
   FACTURA              CHAR(1),
   PAGOCONLOTE          CHAR(1),
   REIMBULSO            CHAR(1),
   NOTACRED             CHAR(1),
   DEVUELTO             CHAR(1),
   NOTADEBITO           CHAR(1),
   PAGOSINLOTE          CHAR(1),
   RECONCIL             CHAR(1),
   LOTECAJA             CHAR(1),
   TRANSFCAJA           CHAR(1),
   CIERRE               CHAR(1),
   LOTENC               CHAR(1),
   TRANSFNC             CHAR(1),
   EDICION              CHAR(1),
   EDTCOBRADOR          CHAR(1),
   EXPORT               CHAR(1),
   PREMIUM              CHAR(1),
   TERMINAL             CHAR(1),
   PELICULAS            CHAR(1),
   COBRADOR             CHAR(1),
   MODIFLOTECOB         CHAR(1),
   MODIFCOB             CHAR(1),
   COBCREARCHIVO        CHAR(1),
   COBTRANSARCHIVO      CHAR(1),
   FACTPRORAT           CHAR(1),
   RED                  CHAR(1),
   FACTURACION          CHAR(1),
   EDTSOCIO             CHAR(1),
   EDTCLIENTE           CHAR(1),
   EDTCONTA             CHAR(1),
   EDTRED               CHAR(1),
   EDTDIVERSO           CHAR(1),
   EDTOT                CHAR(1),
   ADMINISTRACION       CHAR(1),
   AGENDA               CHAR(1),
   PARAMETRO            CHAR(1),
   DECOFALTAPAGO        CHAR(1),
   CAMBIODIR            CHAR(1),
   constraint DROITSPRIMARYKEY1 primary key (DROIT)
);

/*==============================================================*/
/* Table: ECRITCPT                                              */
/*==============================================================*/
create table ECRITCPT  (
   NUMPIECE             NUMBER(10)                      not null,
   NUMABONNE            NUMBER(10),
   PERIODE              VARCHAR2(7),
   DTCPT                DATE,
   DTSAISIE             DATE,
   NUMJRNL              CHAR(3),
   LIB                  VARCHAR2(50),
   NUMFACT              NUMBER(10),
   MTTDEB               NUMBER(14,2),
   MTTCRED              NUMBER(14,2),
   MDRGLT               CHAR(4),
   MOTIFIMP             CHAR(4),
   CODOPE               VARCHAR2(10),
   ENCAISSE             NUMBER(14,2),
   RESTE                NUMBER(14,2),
   CODINSEE             VARCHAR2(5),
   TYPEC                CHAR(4),
   CBOR                 CHAR(4),
   RESUMANU             NUMBER(10),
   NUMLOTE              VARCHAR2(10),
   NUMFACTURA           NUMBER(10),
   RECONCIL             CHAR(1),
   IMPRESO              VARCHAR2(1),
   WORKTO               CHAR(4),
   FACTURA              VARCHAR2(8),
   FECHA_DESDE          DATE,
   FECHA_HASTA          DATE,
   CODIGODEPAGO         NUMBER(10),
   constraint ECRITCPTPRIMARYKEY1 primary key (NUMPIECE)
);

/*==============================================================*/
/* Index: ECRITCPTINDEX1                                        */
/*==============================================================*/
create index ECRITCPTINDEX1 on ECRITCPT (
   DTSAISIE ASC
);

/*==============================================================*/
/* Index: ECRITCPTINDEX2                                        */
/*==============================================================*/
create index ECRITCPTINDEX2 on ECRITCPT (
   NUMABONNE ASC
);

/*==============================================================*/
/* Index: ECRITCPTINDEX3                                        */
/*==============================================================*/
create index ECRITCPTINDEX3 on ECRITCPT (
   RESUMANU ASC
);

/*==============================================================*/
/* Index: ECRITCPTINDEX4                                        */
/*==============================================================*/
create index ECRITCPTINDEX4 on ECRITCPT (
   PERIODE ASC
);

/*==============================================================*/
/* Index: ECRITCPTINDEX5                                        */
/*==============================================================*/
create index ECRITCPTINDEX5 on ECRITCPT (
   MOTIFIMP ASC
);

/*==============================================================*/
/* Table: ESTADO_NODO                                           */
/*==============================================================*/
create table ESTADO_NODO  (
   ESTADO               NUMBER(10)                      not null,
   DETALLE              VARCHAR2(20),
   TIPO                 VARCHAR2(1),
   constraint ESTADO_NODO_PK primary key (ESTADO)
);

/*==============================================================*/
/* Table: ESTCTA_031                                            */
/*==============================================================*/
create table ESTCTA_031  (
   NUMABONNE            NUMBER(10)                      not null,
   NUMSOUSCRIPT         NUMBER(10),
   NOM                  VARCHAR2(50),
   ADRESSE              VARCHAR2(100),
   PERIODE              VARCHAR2(7),
   DT                   DATE,
   TITULOSALDO          VARCHAR2(20),
   SOLDMESANTES         NUMBER(14,2),
   SERVICIO1            VARCHAR2(25),
   SERVMTT1             NUMBER(14,2),
   SERVICIO2            VARCHAR2(25),
   SERVMTT2             NUMBER(14,2),
   SERVICIO3            VARCHAR2(25),
   SERVMTT3             NUMBER(14,2),
   SERVICIO4            VARCHAR2(25),
   SERVMTT4             NUMBER(14,2),
   NUEVOSALDO           NUMBER(14,2),
   RUTA                 NUMBER(10),
   VENCIMIENTO          DATE,
   TELDOM               VARCHAR2(14),
   DESDE                DATE,
   HASTA                DATE,
   MTT5                 NUMBER(14,2),
   CBOR                 CHAR(4),
   PAGODESPUES          NUMBER(14,2),
   MULTAPLICADA         CHAR(4),
   NUEVOSALDOCOL        NUMBER(14,2),
   PAGOOFICINA          VARCHAR2(10),
   FACTURA              NUMBER(10),
   SERVICIO5            VARCHAR2(25),
   SERVMTT5             NUMBER(14,2),
   SERVICIO6            VARCHAR2(25),
   SERVMTT6             NUMBER(14,2),
   SERVICIO7            VARCHAR2(25),
   SERVMTT7             NUMBER(14,2),
   SERVICIO8            VARCHAR2(25),
   SERVMTT8             NUMBER(14,2),
   SERVICIO9            VARCHAR2(25),
   SERVMTT9             NUMBER(14,2),
   SERVICIO10           VARCHAR2(25),
   SERVMTT10            NUMBER(14,2),
   MULTA                NUMBER(14,2),
   FACTURA_TC           NUMBER(10),
   MONTO_MULTA          NUMBER(14,2),
   MONTO_FACTURA        NUMBER(14,2),
   MONTO_FACTURA_TC     NUMBER(14,2),
   NOTA_CRED1           VARCHAR2(50),
   MTT_NOTA_CRED1       NUMBER(14,2),
   NOTA_CRED2           VARCHAR2(50),
   MTT_NOTA_CRED2       NUMBER(14,2),
   NOTA_CRED3           VARCHAR2(50),
   MTT_NOTA_CRED3       NUMBER(14,2),
   NOTA_CREDTC1         VARCHAR2(50),
   MTT_NOTA_CREDTC1     NUMBER(14,2),
   NOTA_CREDTC2         VARCHAR2(50),
   MTT_NOTA_CREDTC2     NUMBER(14,2),
   NOTA_CREDTC3         VARCHAR2(50),
   MTT_NOTA_CREDTC3     NUMBER(14,2),
   QTYS1                NUMBER(5),
   QTYS2                NUMBER(5),
   QTYS3                NUMBER(5),
   QTYS4                NUMBER(5),
   QTYS5                NUMBER(5),
   QTYS6                NUMBER(5),
   QTYS7                NUMBER(5),
   QTYS8                NUMBER(5),
   QTYS9                NUMBER(5),
   QTYS10               NUMBER(5),
   TOTAL_IMPUESTOS      NUMBER(14,2),
   ASUJETI              CHAR(4),
   MONTOMES             NUMBER(14,2),
   DESDE1               DATE,
   HASTA1               DATE,
   CODPROD1             CHAR(4),
   CODPROD2             CHAR(4),
   CODPROD3             CHAR(4),
   CODPROD4             CHAR(4),
   CODPROD5             CHAR(4),
   CODPROD6             CHAR(4),
   CODPROD7             CHAR(4),
   CODPROD8             CHAR(4),
   CODPROD9             CHAR(4),
   CODPROD10            CHAR(4),
   ASUJETIV             CHAR(1),
   ULT_PAGO             DATE
);

/*==============================================================*/
/* Table: FACTRECIBO                                            */
/*==============================================================*/
create table FACTRECIBO  (
   NUMABONNE            NUMBER(10)                      not null,
   NUMSOUSCRIPT         NUMBER(10),
   NOMBREPAGADOR        VARCHAR2(50),
   ADRESSE              VARCHAR2(100),
   PERIODE              VARCHAR2(7),
   RUTA                 NUMBER(10),
   TELDOM               VARCHAR2(14),
   NOMBRECBOR           VARCHAR2(25),
   SERV0                VARCHAR2(25),
   MTT0                 NUMBER(14,2),
   MTT0G                NUMBER(14,2),
   MTTDOL0              NUMBER(14,2),
   SERV1                VARCHAR2(25),
   MTT1                 NUMBER(14,2),
   MTT1G                NUMBER(14,2),
   MTTDOL1              NUMBER(14,2),
   SERV2                VARCHAR2(25),
   MTT2                 NUMBER(14,2),
   MTT2G                NUMBER(14,2),
   MTTDOL2              NUMBER(14,2),
   SERV3                VARCHAR2(25),
   MTT3                 NUMBER(14,2),
   MTT3G                NUMBER(14,2),
   MTTDOL3              NUMBER(14,2),
   SERV4                VARCHAR2(25),
   MTT4                 NUMBER(14,2),
   MTT4G                NUMBER(14,2),
   MTTDOL4              NUMBER(14,2),
   SERV5                VARCHAR2(25),
   MTT5                 NUMBER(14,2),
   MTT5G                NUMBER(14,2),
   MTTDOL5              NUMBER(14,2),
   SERV6                VARCHAR2(25),
   MTT6                 NUMBER(14,2),
   MTT6G                NUMBER(14,2),
   MTTDOL6              NUMBER(14,2),
   SERV7                VARCHAR2(25),
   MTT7                 NUMBER(14,2),
   MTT7G                NUMBER(14,2),
   MTTDOL7              NUMBER(14,2),
   SERV8                VARCHAR2(25),
   MTT8                 NUMBER(14,2),
   MTT8G                NUMBER(14,2),
   MTTDOL8              NUMBER(14,2),
   SERV9                VARCHAR2(25),
   MTT9                 NUMBER(14,2),
   MTT9G                NUMBER(14,2),
   MTTDOL9              NUMBER(14,2),
   SERV10               VARCHAR2(25),
   MTT10                NUMBER(14,2),
   MTT10G               NUMBER(14,2),
   MTTDOL10             NUMBER(14,2),
   SERV11               VARCHAR2(25),
   MTT11                NUMBER(14,2),
   MTT11G               NUMBER(14,2),
   MTTDOL11             NUMBER(14,2),
   TVAPROD              NUMBER(14,2),
   TOTALAPAGAR          NUMBER(14,2),
   DESDEHASTA           VARCHAR2(20),
   FECHASPAGOS          VARCHAR2(36),
   FACTURA              NUMBER(10),
   constraint FACTRECIBOPRIMARYKEY1 primary key (NUMABONNE)
);

/*==============================================================*/
/* Table: HEADEND                                               */
/*==============================================================*/
create table HEADEND  (
   CODIGO_HEADEND       VARCHAR2(5)                     not null,
   NOMBRE_HEADEND       VARCHAR2(25),
   constraint HEADEND_PK primary key (CODIGO_HEADEND)
);

/*==============================================================*/
/* Table: HISTERMINAL                                           */
/*==============================================================*/
create table HISTERMINAL  (
   NUMHIST              NUMBER(10)                      not null,
   NUMSERIE             VARCHAR2(15),
   NUMABONNE            NUMBER(10),
   FECHAMOVI            DATE,
   CODOPE               VARCHAR2(10),
   TIPOMOVIMIENTO       CHAR(3),
   COMENTARIO           VARCHAR2(50),
   constraint HISTERMINALPRIMARYKEY1 primary key (NUMHIST)
);

/*==============================================================*/
/* Index: HISTERMINALINDEX1                                     */
/*==============================================================*/
create index HISTERMINALINDEX1 on HISTERMINAL (
   NUMABONNE ASC
);

/*==============================================================*/
/* Index: HISTERMINALINDEX2                                     */
/*==============================================================*/
create index HISTERMINALINDEX2 on HISTERMINAL (
   NUMSERIE ASC
);

/*==============================================================*/
/* Table: HISTORICO_NUMCONTRAT                                  */
/*==============================================================*/
create table HISTORICO_NUMCONTRAT  (
   NUMABONNE            NUMBER(10)                      not null,
   NUMCONTRAT_VIEJO     NUMBER(10),
   NOM                  VARCHAR2(50),
   constraint PK_HISTORICO_NUMCONTRAT primary key (NUMABONNE)
);

/*==============================================================*/
/* Table: HUB                                                   */
/*==============================================================*/
create table HUB  (
   CODIGO_HUB           VARCHAR2(5)                     not null,
   NOMBRE_HUB           VARCHAR2(25),
   CODIGO_HEADEND       VARCHAR2(5)                     not null,
   constraint HUB_PK primary key (CODIGO_HUB, CODIGO_HEADEND)
);

/*==============================================================*/
/* Table: IMPAYE                                                */
/*==============================================================*/
create table IMPAYE  (
   NUMIMP               NUMBER(10)                      not null,
   NUMPIECE             NUMBER(10)                      not null,
   NUMABONNE            NUMBER(10)                      not null,
   PERIODE              DATE,
   MTT                  NUMBER(14,2),
   MOTIF                CHAR(4),
   LIB                  VARCHAR2(25),
   DTPAIE               DATE,
   ESTADO               CHAR(1),
   constraint IMPAYEPRIMARYKEY1 primary key (NUMIMP)
);

/*==============================================================*/
/* Index: IMPAYEINDEX1                                          */
/*==============================================================*/
create index IMPAYEINDEX1 on IMPAYE (
   NUMABONNE ASC
);

/*==============================================================*/
/* Table: INTERNET                                              */
/*==============================================================*/
create table INTERNET  (
   NUMABONNE            NUMBER(10)                      not null,
   SYSTEMEOPE           VARCHAR2(11),
   RACSANAME            VARCHAR2(50),
   EQUIPEMENT           VARCHAR2(20),
   CONTACTO             VARCHAR2(25),
   LOGINCOMMUT          VARCHAR2(25),
   CABLEMODEM           VARCHAR2(15),
   RACSANUMCONTRAT      NUMBER(10),
   TIPOCABLEMODEM       VARCHAR2(6),
   USERNAME             VARCHAR2(50),
   FECHAVENCE           DATE,
   ORDRE                NUMBER(10),
   constraint INTERNETPRIMARYKEY1 primary key (NUMABONNE)
);

/*==============================================================*/
/* Table: INTERVENANT                                           */
/*==============================================================*/
create table INTERVENANT  (
   CODINT               CHAR(4)                         not null,
   NOM                  VARCHAR2(40),
   ACTIVIDAD            CHAR(3),
   TIPO                 CHAR(4),
   CODINSEE             VARCHAR2(5),
   PRIORIDAD            NUMBER(10),
   EMAIL                VARCHAR2(50),
   MSGCORTO             VARCHAR2(50),
   CLAVE                VARCHAR2(10),
   COMISION             NUMBER(14,2),
   COBRA                CHAR(1),
   ENLINEA              CHAR(1),
   constraint INTERVENANTPRIMARYKEY1 primary key (CODINT)
);

/*==============================================================*/
/* Table: INTERVENTION                                          */
/*==============================================================*/
create table INTERVENTION  (
   NUMINTER             NUMBER(10)                      not null,
   NUMABONNE            NUMBER(10),
   DTDEB                DATE,
   DTFIN                DATE,
   HEURE                VARCHAR2(5),
   OPESAISIE            VARCHAR2(10),
   OPEMODIF             VARCHAR2(10),
   MOTIF                CHAR(4),
   PANNE                CHAR(4),
   REPONSE              CHAR(4),
   SIEGE                CHAR(4),
   INTERVENANT          CHAR(4),
   DETMOTIF             VARCHAR2(50),
   DETPANNE             VARCHAR2(50),
   DETREP               VARCHAR2(50),
   LIB                  VARCHAR2(25),
   NUMRDV               NUMBER(10),
   LATE                 CHAR(4),
   HEUREDEB             VARCHAR2(5),
   HEUREFIN             VARCHAR2(5),
   DTCLOS               DATE,
   DTEDTOR              DATE,
   HRCLOS               VARCHAR2(5),
   TRASDEB              VARCHAR2(5),
   TRASFIN              VARCHAR2(5),
   TIPO                 CHAR(4),
   DTOTAVERIA           DATE,
   GRUPOLATE            CHAR(4),
   ESTADO               CHAR(1),
   ROLLINICIAL          DATE,
   ROLLFINAL            DATE,
   TIPOINSTAL           CHAR(1),
   FECH_CHG_GRUPO       DATE,
   HORA_CHG_GRUPO       VARCHAR2(5),
   constraint INTERVENTIONPRIMARYKEY1 primary key (NUMINTER)
);

/*==============================================================*/
/* Index: INTERVENTIONINDEX1                                    */
/*==============================================================*/
create index INTERVENTIONINDEX1 on INTERVENTION (
   DTDEB ASC
);

/*==============================================================*/
/* Index: INTERVENTIONINDEX2                                    */
/*==============================================================*/
create index INTERVENTIONINDEX2 on INTERVENTION (
   NUMABONNE ASC
);

/*==============================================================*/
/* Index: INTERVENTIONINDEX3                                    */
/*==============================================================*/
create index INTERVENTIONINDEX3 on INTERVENTION (
   DTCLOS ASC
);

/*==============================================================*/
/* Index: INTERVENTIONINDEX5                                    */
/*==============================================================*/
create index INTERVENTIONINDEX5 on INTERVENTION (
   DTFIN ASC
);

/*==============================================================*/
/* Index: INTERVENTIONINDEX6                                    */
/*==============================================================*/
create index INTERVENTIONINDEX6 on INTERVENTION (
   DTOTAVERIA ASC
);

/*==============================================================*/
/* Index: INTERVENTIONINDEX7                                    */
/*==============================================================*/
create index INTERVENTIONINDEX7 on INTERVENTION (
   DTEDTOR ASC
);

/*==============================================================*/
/* Table: IPSERV                                                */
/*==============================================================*/
create table IPSERV  (
   NUMIP                NUMBER(10)                      not null,
   ORDRE                NUMBER(10)                      not null,
   BLOCKIP              VARCHAR2(19),
   ETHERNETIP           VARCHAR2(15),
   MASKIP               VARCHAR2(15),
   RFIP                 VARCHAR2(15),
   CODELUGAR            CHAR(4),
   NUMLUGAR             NUMBER(5),
   constraint IPSERV_PK primary key (NUMIP)
);

/*==============================================================*/
/* Index: IPSERVINDEX1                                          */
/*==============================================================*/
create index IPSERVINDEX1 on IPSERV (
   ORDRE ASC
);

/*==============================================================*/
/* Table: JOURNAL                                               */
/*==============================================================*/
create table JOURNAL  (
   NUMJRNL              CHAR(3)                         not null,
   LIB                  VARCHAR2(25),
   TIPOJRNL             CHAR(1),
   constraint TABLE1PRIMARYKEY1 primary key (NUMJRNL)
);

/*==============================================================*/
/* Table: LATE                                                  */
/*==============================================================*/
create table LATE  (
   CODLATE              CHAR(4)                         not null,
   LIB                  VARCHAR2(25),
   constraint LATEPRIMARYKEY1 primary key (CODLATE)
);

/*==============================================================*/
/* Table: LINEUP                                                */
/*==============================================================*/
create table LINEUP  (
   NUMCANAL             NUMBER(10)                      not null,
   NOM                  VARCHAR2(25),
   constraint LINEUPPRIMARYKEY1 primary key (NUMCANAL)
);

/*==============================================================*/
/* Table: LOCALIZACION_NODO                                     */
/*==============================================================*/
create table LOCALIZACION_NODO  (
   CODIGO_HEADEND       VARCHAR2(5)                     not null,
   CODIGO_HUB           VARCHAR2(5)                     not null,
   CODINSEE             VARCHAR2(5)                     not null,
   LOCALISATION         VARCHAR2(5)                     not null,
   NUMNODE              VARCHAR2(10)                    not null,
   constraint LOCALIZACION_NODO_PK primary key (CODIGO_HEADEND, CODIGO_HUB, CODINSEE, LOCALISATION, NUMNODE)
);

/*==============================================================*/
/* Table: LOCALIZATION                                          */
/*==============================================================*/
create table LOCALIZATION  (
   CODINSEE             VARCHAR2(5)                     not null,
   LOCALISATION         VARCHAR2(5)                     not null,
   LIB                  VARCHAR2(25),
   PRINTO               CHAR(4),
   CPAIS                VARCHAR2(3),
   CPROV                VARCHAR2(3),
   CCANTON              VARCHAR2(3),
   CDISTRI              VARCHAR2(3),
   constraint LOCALIZATION_PK primary key (CODINSEE, LOCALISATION)
);

/*==============================================================*/
/* Table: LOGINS                                                */
/*==============================================================*/
create table LOGINS  (
   NUMLOGIN             NUMBER(10)                      not null,
   ORDRE                NUMBER(10),
   PASSWD               VARCHAR2(20),
   DTSAISIE             DATE,
   USUARIO              VARCHAR2(50),
   constraint LOGINS_PK primary key (NUMLOGIN)
);

/*==============================================================*/
/* Index: LOGINSINDEX1                                          */
/*==============================================================*/
create index LOGINSINDEX1 on LOGINS (
   ORDRE ASC
);

/*==============================================================*/
/* Table: LOGRELOJ                                              */
/*==============================================================*/
create table LOGRELOJ  (
   ID                   NUMBER(10)                      not null,
   LOGIN                VARCHAR2(10),
   AUTORIZA             VARCHAR2(10),
   FECHA                DATE,
   HORA                 VARCHAR2(10),
   MINUTOS              NUMBER(10)
);

/*==============================================================*/
/* Table: LOTE_DESC_RACSA                                       */
/*==============================================================*/
create table LOTE_DESC_RACSA  (
   ORDRE                NUMBER(10)                      not null,
   FECHA_CARGA          DATE,
   CODOPE               VARCHAR2(10),
   NUMCLIALOPA          VARCHAR2(10),
   ESTADO               CHAR(1)                         not null,
   FECHA_DESCO          DATE,
   NUMINTER             NUMBER(10),
   GESTIONADO           VARCHAR2(1),
   GESTIONO             VARCHAR2(10),
   INTE                 VARCHAR2(15)                    not null,
   constraint PK1_LOTE_DESC_RACSA primary key (ESTADO, INTE)
);

/*==============================================================*/
/* Table: LOTE_RECO_RACSA                                       */
/*==============================================================*/
create table LOTE_RECO_RACSA  (
   ORDRE                NUMBER(10)                      not null,
   FECHA_CARGA          DATE,
   CODOPE               VARCHAR2(10),
   NUMCLIALOPA          VARCHAR2(10),
   ESTADO               CHAR(1)                         not null,
   NUMINTER             NUMBER(10),
   INTE                 VARCHAR2(15)                    not null,
   ESTADO_ORDEN         VARCHAR2(1),
   FECHA_RECO           DATE,
   constraint PK1_LOTE_RECO primary key (ESTADO, INTE)
);

/*==============================================================*/
/* Table: MATERIAL                                              */
/*==============================================================*/
create table MATERIAL  (
   CODMAT               VARCHAR2(9)                     not null,
   NOM                  VARCHAR2(25),
   TIPOMAT              CHAR(4),
   PRIX                 NUMBER(14,2),
   ORDEN_REPORTE        NUMBER(10),
   ACTIVO               CHAR(1),
   constraint MATERIALPRIMARYKEY1 primary key (CODMAT)
);

/*==============================================================*/
/* Table: MATRIZ_MAX_SERVICIOS                                  */
/*==============================================================*/
create table MATRIZ_MAX_SERVICIOS  (
   CODPROD              CHAR(4)                         not null,
   MAXIMO               NUMBER(10)                      not null,
   constraint MATRIZ_MAX_SERVICIOS_PK primary key (CODPROD)
);

/*==============================================================*/
/* Table: MATRIZ_NO_COMBINA                                     */
/*==============================================================*/
create table MATRIZ_NO_COMBINA  (
   CODPROD              CHAR(4)                         not null,
   CODPROD_NO_COMBO     CHAR(4)                         not null,
   constraint MATRIZ_NO_COMBINAPRIMARYKEY1 primary key (CODPROD, CODPROD_NO_COMBO)
);

/*==============================================================*/
/* Index: MATRIZ_NO_COMBINAINDEX1                               */
/*==============================================================*/
create index MATRIZ_NO_COMBINAINDEX1 on MATRIZ_NO_COMBINA (
   CODPROD ASC
);

/*==============================================================*/
/* Table: MATRIZ_OPCIONES                                       */
/*==============================================================*/
create table MATRIZ_OPCIONES  (
   NUM_OPCION           CHAR(1)                         not null,
   DESC_OPCION          VARCHAR2(50),
   constraint MATRIZ_OPCIONESPRIMARYKEY1 primary key (NUM_OPCION)
);

/*==============================================================*/
/* Table: MATRIZ_REGLAS                                         */
/*==============================================================*/
create table MATRIZ_REGLAS  (
   LN                   NUMBER(5)                       not null,
   MAXSERVICIOS         CHAR(1),
   NOCOMBINA            CHAR(1),
   SERVOBLIGATORIO      CHAR(1),
   DEBECOMBINAR         CHAR(1),
   constraint MATRIZ_REGLASPRIMARYKEY1 primary key (LN)
);

/*==============================================================*/
/* Index: MATRIZ_REGLASINDEX1                                   */
/*==============================================================*/
create index MATRIZ_REGLASINDEX1 on MATRIZ_REGLAS (
   LN ASC
);

/*==============================================================*/
/* Table: MATRIZ_REGLAS_OT                                      */
/*==============================================================*/
create table MATRIZ_REGLAS_OT  (
   NUM_OPCION           CHAR(1)                         not null,
   LINEA                NUMBER(10)                      not null,
   TIPO                 CHAR(1),
   GRUPOLATE            CHAR(4),
   constraint MATRIZ_REGLAS_OTPRIMARYKEY1 primary key (NUM_OPCION, LINEA)
);

/*==============================================================*/
/* Table: MATRIZ_SERV_OBLIGATORIO                               */
/*==============================================================*/
create table MATRIZ_SERV_OBLIGATORIO  (
   CODPROD              CHAR(4)                         not null,
   constraint SERV_OBLIGATORIOPRIMARYKEY1 primary key (CODPROD)
);

/*==============================================================*/
/* Table: MATRIZ_SI_COMBINA                                     */
/*==============================================================*/
create table MATRIZ_SI_COMBINA  (
   CODPROD              CHAR(4)                         not null,
   CODPROD_SI_COMBO     CHAR(4)                         not null,
   constraint MATRIZ_SI_COMBINAPRIMARYKEY1 primary key (CODPROD, CODPROD_SI_COMBO)
);

/*==============================================================*/
/* Index: MATRIZ_SI_COMBINAINDEX1                               */
/*==============================================================*/
create index MATRIZ_SI_COMBINAINDEX1 on MATRIZ_SI_COMBINA (
   CODPROD ASC
);

/*==============================================================*/
/* Table: MOORE                                                 */
/*==============================================================*/
create table MOORE  (
   NUMABONNE            NUMBER(10)                      not null,
   NUMSOUSCRIPT         NUMBER(10),
   NOM                  VARCHAR2(50),
   ADRESSE              VARCHAR2(100),
   PERIODE              VARCHAR2(7),
   DT                   DATE,
   TITULOSALDO          VARCHAR2(20),
   SOLDMESANTES         NUMBER(14,2),
   CODPROD0             CHAR(4),
   SERVICIO0            VARCHAR2(25),
   CANT0                NUMBER(10),
   SERVMTT0             NUMBER(14,2),
   SERVMTTDOL0          NUMBER(14,2),
   SERVMTT0G            NUMBER(14,2),
   CODPROD1             CHAR(4),
   SERVICIO1            VARCHAR2(25),
   CANT1                NUMBER(10),
   SERVMTT1             NUMBER(14,2),
   SERVMTTDOL1          NUMBER(14,2),
   SERVMTT1G            NUMBER(14,2),
   CODPROD2             CHAR(4),
   SERVICIO2            VARCHAR2(25),
   CANT2                NUMBER(10),
   SERVMTT2             NUMBER(14,2),
   SERVMTTDOL2          NUMBER(14,2),
   SERVMTT2G            NUMBER(14,2),
   CODPROD3             CHAR(4),
   SERVICIO3            VARCHAR2(25),
   CANT3                NUMBER(10),
   SERVMTT3             NUMBER(14,2),
   SERVMTTDOL3          NUMBER(14,2),
   SERVMTT3G            NUMBER(14,2),
   CODPROD4             CHAR(4),
   SERVICIO4            VARCHAR2(25),
   CANT4                NUMBER(10),
   SERVMTT4             NUMBER(14,2),
   SERVMTTDOL4          NUMBER(14,2),
   SERVMTT4G            NUMBER(14,2),
   CODPROD5             CHAR(4),
   SERVICIO5            VARCHAR2(25),
   SERVMTT5             NUMBER(14,2),
   CANT5                NUMBER(10),
   SERVMTTDOL5          NUMBER(14,2),
   SERVMTT5G            NUMBER(14,2),
   CODPROD6             CHAR(4),
   SERVICIO6            VARCHAR2(25),
   SERVMTT6             NUMBER(14,2),
   SERVMTTDOL6          NUMBER(14,2),
   SERVMTT6G            NUMBER(14,2),
   CODPROD7             CHAR(4),
   SERVICIO7            VARCHAR2(25),
   CANT7                NUMBER(10),
   SERVMTT7             NUMBER(14,2),
   SERVMTTDOL7          NUMBER(14,2),
   SERVMTT7G            NUMBER(14,2),
   CODPROD8             CHAR(4),
   SERVICIO8            VARCHAR2(25),
   CANT8                NUMBER(10),
   SERVMTT8             NUMBER(14,2),
   SERVMTTDOL8          NUMBER(14,2),
   SERVMTT8G            NUMBER(14,2),
   CODPROD9             CHAR(4),
   SERVICIO9            VARCHAR2(25),
   CANT9                NUMBER(10),
   SERVMTT9             NUMBER(14,2),
   SERVMTTDOL9          NUMBER(14,2),
   SERVMTT9G            NUMBER(14,2),
   CODPROD10            CHAR(4),
   SERVICIO10           VARCHAR2(25),
   CANT10               NUMBER(10),
   SERVMTT10            NUMBER(14,2),
   SERVMTTDOL10         NUMBER(14,2),
   SERVMTT10G           NUMBER(14,2),
   CODPROD11            CHAR(4),
   SERVICIO11           VARCHAR2(25),
   CANT11               NUMBER(10),
   SERVMTT11            NUMBER(14,2),
   SERVMTTDOL11         NUMBER(14,2),
   SERVMTT11G           NUMBER(14,2),
   NUEVOSALDO           NUMBER(14,2),
   RUTA                 NUMBER(10),
   TELDOM               VARCHAR2(14),
   NOMBRECBOR           VARCHAR2(25),
   SERV0                VARCHAR2(25),
   MTT0                 NUMBER(14,2),
   MTT0G                NUMBER(14,2),
   SERV1                VARCHAR2(25),
   MTT1                 NUMBER(14,2),
   MTT1G                NUMBER(14,2),
   SERV2                VARCHAR2(25),
   MTT2                 NUMBER(14,2),
   MTT2G                NUMBER(14,2),
   SERV3                VARCHAR2(25),
   MTT3                 NUMBER(14,2),
   MTT3G                NUMBER(14,2),
   SERV4                VARCHAR2(25),
   MTT4                 NUMBER(14,2),
   MTT4G                NUMBER(14,2),
   SERV5                VARCHAR2(25),
   MTT5                 NUMBER(14,2),
   MTT5G                NUMBER(14,2),
   SERV6                VARCHAR2(25),
   MTT6                 NUMBER(14,2),
   MTT6G                NUMBER(14,2),
   SERV7                VARCHAR2(25),
   MTT7                 NUMBER(14,2),
   MTT7G                NUMBER(14,2),
   SERV8                VARCHAR2(25),
   MTT8                 NUMBER(14,2),
   MTT8G                NUMBER(14,2),
   SERV9                VARCHAR2(25),
   MTT9                 NUMBER(14,2),
   MTT9G                NUMBER(14,2),
   SERV10               VARCHAR2(25),
   MTT10                NUMBER(14,2),
   MTT10G               NUMBER(14,2),
   SERV11               VARCHAR2(25),
   MTT11                NUMBER(14,2),
   MTT11G               NUMBER(14,2),
   TVAPROD              NUMBER(14,2),
   TOTALAPAGAR          NUMBER(14,2),
   CBOR                 CHAR(4),
   PAGODESPUES          NUMBER(14,2),
   NOMBREPAGADOR        VARCHAR2(50),
   DESDEHASTA           VARCHAR2(20),
   ULTIMOPAGO           DATE,
   COLONMESACTUAL       NUMBER(14,2),
   COLONMESANTERIOR     NUMBER(14,2),
   FECHASPAGOS          VARCHAR2(36),
   FACTURA              NUMBER(10),
   COMMENT1             VARCHAR2(60),
   COMMENT2             VARCHAR2(60),
   LOCALIZATION         VARCHAR2(5),
   CAMBIODIR            CHAR(1),
   NUMTAP               VARCHAR2(9),
   CODINSEE             VARCHAR2(5),
   constraint MOOREPRIMARYKEY1 primary key (NUMABONNE)
);

/*==============================================================*/
/* Index: MOOREINDEX1                                           */
/*==============================================================*/
create index MOOREINDEX1 on MOORE (
   FACTURA ASC
);

/*==============================================================*/
/* Index: MOOREINDEX2                                           */
/*==============================================================*/
create index MOOREINDEX2 on MOORE (
   LOCALIZATION ASC
);

/*==============================================================*/
/* Index: RDB$PRIMARY52                                         */
/*==============================================================*/
create unique index RDB$PRIMARY52 on MOORE (
   NUMABONNE ASC
);

/*==============================================================*/
/* Table: MOTIF                                                 */
/*==============================================================*/
create table MOTIF  (
   CODMOTIF             CHAR(4)                         not null,
   LIB                  VARCHAR2(25),
   CODPROD              CHAR(4),
   TIPO                 CHAR(2),
   constraint MOTIFPRIMARYKEY1 primary key (CODMOTIF)
);

/*==============================================================*/
/* Index: MOTIFINDEX1                                           */
/*==============================================================*/
create index MOTIFINDEX1 on MOTIF (
   CODMOTIF ASC
);

/*==============================================================*/
/* Table: NODE                                                  */
/*==============================================================*/
create table NODE  (
   NUMNODE              VARCHAR2(10)                    not null,
   LIB                  VARCHAR2(25),
   NBREABONNE           NUMBER(10),
   DOBLEVIA             CHAR(3),
   ACTIVO               VARCHAR2(1),
   CODIFICADO           CHAR(1),
   CLASE                CHAR(1),
   FECHA_INIC           DATE,
   FECHA_FINC           DATE,
   CANTCABLE            NUMBER(10),
   STRAND               NUMBER(10),
   CAPACIDAD            NUMBER(10),
   KMXNODO              NUMBER(10),
   COMENTARIO           VARCHAR2(50),
   COD_ENLACE           VARCHAR2(15),
   DESCRIP_ENLACE       VARCHAR2(30),
   FECHA_ENLACE         DATE,
   KM_ENLACE            NUMBER(10),
   FIBRA_ENLACE         NUMBER(10),
   COMENT_ENLACE        VARCHAR2(50),
   PUNTA_INI_ENLACE     NUMBER(10),
   PUNTA_FIN_ENLACE     NUMBER(10),
   CODIGO_HEADEND       VARCHAR2(5)                     not null,
   CODIGO_HUB           VARCHAR2(5)                     not null,
   PLAQUEADO            VARCHAR2(1),
   COMENTARIO_ESTADO    VARCHAR2(250),
   ESTADO               NUMBER(10)                      not null,
   constraint NODE_PK primary key (NUMNODE, CODIGO_HEADEND, CODIGO_HUB)
);

/*==============================================================*/
/* Table: NODETAP                                               */
/*==============================================================*/
create table NODETAP  (
   NUMNODE              VARCHAR2(10)                    not null,
   TAPINI               VARCHAR2(10)                    not null,
   TAPFIN               VARCHAR2(10)                    not null,
   constraint NODETAPPRIMARYKEY1 primary key (TAPINI, TAPFIN)
);

/*==============================================================*/
/* Table: PAGOS_EN_LINEA                                        */
/*==============================================================*/
create table PAGOS_EN_LINEA  (
   NUMPIECE             NUMBER(10)                      not null,
   NUMABONNE            NUMBER(10)                      not null,
   CODIGO_PAGO          NUMBER(10)                      not null,
   RECAUDADOR           VARCHAR2(10),
   MONTO                NUMBER(14,2),
   FECHA_PAGO           DATE                            not null,
   constraint PK1_PAGOS_EN_LINEA primary key (CODIGO_PAGO)
);

/*==============================================================*/
/* Table: PAGOS_EN_LINEA2                                       */
/*==============================================================*/
create table PAGOS_EN_LINEA2  (
   NUMPIECE             NUMBER(10)                      not null,
   NUMABONNE            NUMBER(10)                      not null,
   CODIGO_PAGO          NUMBER(10)                      not null,
   RECAUDADOR           VARCHAR2(10),
   MONTO                NUMBER(14,2),
   TIPO                 VARCHAR2(1)                    
      constraint PAGOS_EN_LINEA2_TIPO_CK check (TIPO is null or ( TIPO in ('R','P') )),
   FECHA_PAGO           DATE                            not null,
   constraint PK1_PAGOS_EN_LINEA2 primary key (CODIGO_PAGO)
);

/*==============================================================*/
/* Table: PAISES                                                */
/*==============================================================*/
create table PAISES  (
   CPAIS                VARCHAR2(3)                     not null,
   NPAIS                VARCHAR2(50),
   TIPO                 CHAR(1),
   constraint PAISES_PK primary key (CPAIS)
);

/*==============================================================*/
/* Table: PANNE                                                 */
/*==============================================================*/
create table PANNE  (
   CODPANNE             CHAR(4)                         not null,
   LIB                  VARCHAR2(25),
   CODPROD              CHAR(4),
   constraint PANNEPRIMARYKEY1 primary key (CODPANNE)
);

/*==============================================================*/
/* Table: PARAMETRE                                             */
/*==============================================================*/
create table PARAMETRE  (
   CODTBL               CHAR(4)                         not null,
   CODE                 CHAR(4)                         not null,
   LIBCODE              VARCHAR2(25),
   INFO_REQUE           VARCHAR2(1),
   constraint PARAMETREPRIMARYKEY1 primary key (CODTBL, CODE)
);

/*==============================================================*/
/* Table: PARAM_COMPA                                           */
/*==============================================================*/
create table PARAM_COMPA  (
   COD_PARAM_COMPA      NUMBER(10)                      not null,
   DESCRICION           BLOB,
   ESTADO               BLOB,
   constraint PK_PARAM_COMPA primary key (COD_PARAM_COMPA)
);

/*==============================================================*/
/* Table: PAYEUR                                                */
/*==============================================================*/
create table PAYEUR  (
   NUMABONNE            NUMBER(10)                      not null,
   GENRE                CHAR(1),
   NOM                  VARCHAR2(50),
   ADRESSE              VARCHAR2(100),
   COMMUNE              VARCHAR2(25),
   TEL                  VARCHAR2(14),
   BANQUE               VARCHAR2(25),
   TYPCB                CHAR(4),
   DTEXPIR              VARCHAR2(5),
   ZONE                 VARCHAR2(5),
   CODCB                VARCHAR2(25),
   NUMID                NUMBER(10),
   DTCBDEBUT            DATE,
   DTCBFIN              DATE,
   CPROV                VARCHAR2(3),
   CCANTON              VARCHAR2(3),
   CDISTRI              VARCHAR2(3),
   constraint PAYEURPRIMARYKEY1 primary key (NUMABONNE)
);

/*==============================================================*/
/* Index: PAYEURINDEX1                                          */
/*==============================================================*/
create index PAYEURINDEX1 on PAYEUR (
   NOM ASC
);

/*==============================================================*/
/* Table: PBSERV                                                */
/*==============================================================*/
create table PBSERV  (
   ORDRE                NUMBER(10)                      not null
);

/*==============================================================*/
/* Table: PPVCLASE                                              */
/*==============================================================*/
create table PPVCLASE  (
   CODE                 CHAR(4)                         not null,
   LIBCODE              VARCHAR2(30),
   constraint PPVCLASEPRIMARYKEY1 primary key (CODE)
);

/*==============================================================*/
/* Table: PPVRATING                                             */
/*==============================================================*/
create table PPVRATING  (
   CODE                 CHAR(4)                         not null,
   LIBCODE              VARCHAR2(30),
   constraint PPVRATINGPRIMARYKEY1 primary key (CODE)
);

/*==============================================================*/
/* Table: PPVTIPO                                               */
/*==============================================================*/
create table PPVTIPO  (
   CODE                 CHAR(4)                         not null,
   LIBCODE              VARCHAR2(30),
   constraint PPVTIPOPRIMARYKEY1 primary key (CODE)
);

/*==============================================================*/
/* Table: PRISE                                                 */
/*==============================================================*/
create table PRISE  (
   NUMABONNE            NUMBER(10)                      not null,
   CODINT               CHAR(4),
   NUMPLB               VARCHAR2(8),
   DTRACC               DATE,
   DTCOUPE              DATE,
   COMENTARIO           VARCHAR2(100),
   NUMTERM              VARCHAR2(9),
   NUMTERM2             VARCHAR2(9),
   NUMTAP               VARCHAR2(9),
   SORTIETAP            NUMBER(5),
   ESTADO               CHAR(1),
   PILOTO               CHAR(1),
   OPTICNODE2           VARCHAR2(20),
   CODIGO_HEADEND       VARCHAR2(5),
   CODIGO_HUB           VARCHAR2(5),
   CODIGO_RAMAL         VARCHAR2(3),
   CODIGO_TAP           VARCHAR2(10),
   OPTICNODE            VARCHAR2(10),
   constraint PRISEPRIMARYKEY1 primary key (NUMABONNE)
);

/*==============================================================*/
/* Index: PRISEINDEX1                                           */
/*==============================================================*/
create index PRISEINDEX1 on PRISE (
   DTRACC ASC
);

/*==============================================================*/
/* Table: PROB                                                  */
/*==============================================================*/
create table PROB  (
   NUMABONNE            NUMBER(10)                      not null,
   SOLDEC               NUMBER(14,2),
   SOLDDETEC            NUMBER(14,2),
   constraint PROBPRIMARYKEY1 primary key (NUMABONNE)
);

/*==============================================================*/
/* Table: PRODUIT                                               */
/*==============================================================*/
create table PRODUIT  (
   CODPROD              CHAR(4)                         not null,
   NOM                  VARCHAR2(25),
   PRIX                 NUMBER(14,2),
   CODTVA               CHAR(4)                         not null,
   JRNLVTE              CHAR(3)                         not null,
   JRNLBKE              CHAR(3),
   NATURE               CHAR(4),
   TAX                  NUMBER(14,2),
   CPTNUM               VARCHAR2(20),
   DTDEB                DATE,
   DTFIN                DATE,
   PRIXDOL              NUMBER(14,2),
   PAGOMESES            NUMBER(5),
   CODINSEE             VARCHAR2(5),
   CTMODIF              CHAR(4),
   CTINST               CHAR(4),
   PRORATEO             CHAR(1),
   FALTATERMINAL        CHAR(1),
   FACMONTOFIJO         CHAR(1),
   DOBLEVIA             CHAR(1),
   PERIODICIDAD         NUMBER(5),
   FECHA_FIJA           CHAR(1),
   PROMOCION            CHAR(1),
   TIPO                 CHAR(1),
   NUMAPS               VARCHAR2(15),
   ALOPA                VARCHAR2(15),
   PAQRACSA             CHAR(4),
   constraint PRODUITPRIMARYKEY1 primary key (CODPROD)
);

/*==============================================================*/
/* Index: PRODUITINDEX1                                         */
/*==============================================================*/
create index PRODUITINDEX1 on PRODUIT (
   DTFIN ASC
);

/*==============================================================*/
/* Index: PRODUITINDEX2                                         */
/*==============================================================*/
create index PRODUITINDEX2 on PRODUIT (
   NATURE ASC
);

/*==============================================================*/
/* Table: PROPSERV                                              */
/*==============================================================*/
create table PROPSERV  (
   ORDRE                NUMBER(10)                      not null,
   ANCHOBANDA           CHAR(4),
   MEDIOTRANS           CHAR(4),
   METODTRANS           CHAR(4),
   EXCLUSIVIDAD         CHAR(1)
);

/*==============================================================*/
/* Index: PROPSERVINDEX1                                        */
/*==============================================================*/
create index PROPSERVINDEX1 on PROPSERV (
   ORDRE ASC
);

/*==============================================================*/
/* Table: PROVINCIAS                                            */
/*==============================================================*/
create table PROVINCIAS  (
   CPROV                VARCHAR2(3)                     not null,
   NPROV                VARCHAR2(50),
   CPAIS                VARCHAR2(3)                     not null,
   constraint PROVINCIAS_PK primary key (CPROV, CPAIS)
);

/*==============================================================*/
/* Table: QUERIES                                               */
/*==============================================================*/
create table QUERIES  (
   CORRELATIVO          NUMBER(10)                      not null,
   COMANDO              VARCHAR2(2000),
   DESCRIPCION          VARCHAR2(255),
   NOMBRE               VARCHAR2(50),
   constraint QUERIESPRIMARYKEY1 primary key (CORRELATIVO)
);

/*==============================================================*/
/* Table: RAMAL                                                 */
/*==============================================================*/
create table RAMAL  (
   CODIGO_RAMAL         VARCHAR2(3)                     not null,
   NOMBRE_RAMAL         VARCHAR2(15),
   CODIGO_HEADEND       VARCHAR2(5)                     not null,
   CODIGO_HUB           VARCHAR2(5)                     not null,
   NUMNODE              VARCHAR2(10)                    not null,
   constraint RAMAL_PK primary key (CODIGO_RAMAL, CODIGO_HEADEND, CODIGO_HUB, NUMNODE)
);

/*==============================================================*/
/* Table: RECHABONNE                                            */
/*==============================================================*/
create table RECHABONNE  (
   NUMID                NUMBER(10)                      not null,
   ABONNE               NUMBER(10),
   SOUSCRIT             NUMBER(10),
   NOM                  VARCHAR2(50),
   TEL                  VARCHAR2(14),
   NUMCTRT              NUMBER(10),
   constraint RECHABONNEPRIMARYKEY1 primary key (NUMID)
);

/*==============================================================*/
/* Index: NOM                                                   */
/*==============================================================*/
create index NOM on RECHABONNE (
   NOM ASC
);

/*==============================================================*/
/* Index: NUMABONNE                                             */
/*==============================================================*/
create index NUMABONNE on RECHABONNE (
   ABONNE ASC
);

/*==============================================================*/
/* Index: NUMCTRT                                               */
/*==============================================================*/
create index NUMCTRT on RECHABONNE (
   NUMCTRT ASC
);

/*==============================================================*/
/* Index: NUMSOUSCRIT                                           */
/*==============================================================*/
create index NUMSOUSCRIT on RECHABONNE (
   SOUSCRIT ASC
);

/*==============================================================*/
/* Index: TEL                                                   */
/*==============================================================*/
create index TEL on RECHABONNE (
   TEL ASC
);

/*==============================================================*/
/* Table: RECIBO                                                */
/*==============================================================*/
create table RECIBO  (
   NUMRECU              NUMBER(10)                      not null,
   NUMABONNE            NUMBER(10)                      not null,
   PERIODE              VARCHAR2(7),
   DT                   DATE,
   SERVICIO1            VARCHAR2(25),
   SERVICIO2            VARCHAR2(25),
   SERVICIO3            VARCHAR2(25),
   SERVICIO4            VARCHAR2(25),
   SERVICIO5            VARCHAR2(25),
   SERVICIO6            VARCHAR2(25),
   MTT1                 NUMBER(14,2),
   MTT2                 NUMBER(14,2),
   MTT3                 NUMBER(14,2),
   MTT4                 NUMBER(14,2),
   MTT5                 NUMBER(14,2),
   MTT6                 NUMBER(14,2),
   MTT1G                NUMBER(14,2),
   MTT2G                NUMBER(14,2),
   MTT3G                NUMBER(14,2),
   MTT4G                NUMBER(14,2),
   MTT5G                NUMBER(14,2),
   MTT6G                NUMBER(14,2),
   MTTDOL1              NUMBER(14,2),
   MTTDOL2              NUMBER(14,2),
   MTTDOL3              NUMBER(14,2),
   MTTDOL4              NUMBER(14,2),
   MTTDOL5              NUMBER(14,2),
   MTTDOL6              NUMBER(14,2),
   NUEVOSALDO           NUMBER(14,2),
   PAGODESPUES          NUMBER(14,2),
   SOLDPREC             NUMBER(14,2),
   STATUT               CHAR(3),
   CBOR                 CHAR(4),
   PAGOCOBRADOR         NUMBER(14,2),
   PAGOCOBRADORDESPUES  NUMBER(14,2),
   SERVICIO7            VARCHAR2(25),
   SERVICIO8            VARCHAR2(25),
   SERVICIO9            VARCHAR2(25),
   SERVICIO10           VARCHAR2(25),
   SERVICIO11           VARCHAR2(25),
   SERVICIO12           VARCHAR2(25),
   MTT7                 NUMBER(14,2),
   MTT8                 NUMBER(14,2),
   MTT9                 NUMBER(14,2),
   MTT10                NUMBER(14,2),
   MTT11                NUMBER(14,2),
   MTT12                NUMBER(14,2),
   MTT7G                NUMBER(14,2),
   MTT8G                NUMBER(14,2),
   MTT9G                NUMBER(14,2),
   MTT10G               NUMBER(14,2),
   MTT11G               NUMBER(14,2),
   MTT12G               NUMBER(14,2),
   MTTDOL7              NUMBER(14,2),
   MTTDOL8              NUMBER(14,2),
   MTTDOL9              NUMBER(14,2),
   MTTDOL10             NUMBER(14,2),
   MTTDOL11             NUMBER(14,2),
   MTTDOL12             NUMBER(14,2),
   COMMENT1             VARCHAR2(60),
   constraint RECIBOPRIMARYKEY1 primary key (NUMRECU)
);

/*==============================================================*/
/* Index: RECIBOINDEX1                                          */
/*==============================================================*/
create index RECIBOINDEX1 on RECIBO (
   NUMABONNE ASC
);

/*==============================================================*/
/* Table: RECU                                                  */
/*==============================================================*/
create table RECU  (
   NUMRECU              NUMBER(10)                      not null,
   NUMABONNE            NUMBER(10),
   MDRGT                CHAR(4),
   SOLDE                NUMBER(14,2),
   PERIODE              VARCHAR2(7),
   DTPAIE               DATE,
   CBOR                 CHAR(4),
   CPT                  NUMBER(10)                      not null,
   CODOPE               VARCHAR2(10),
   CODINSEE             VARCHAR2(5),
   constraint RECUPRIMARYKEY1 primary key (CPT)
);

/*==============================================================*/
/* Index: RECUINDEX1                                            */
/*==============================================================*/
create index RECUINDEX1 on RECU (
   NUMABONNE ASC
);

/*==============================================================*/
/* Table: RECUPIMP                                              */
/*==============================================================*/
create table RECUPIMP  (
   NUMABONNE            NUMBER(10)                      not null,
   MTT                  NUMBER(14,2),
   STATUT               CHAR(3),
   TIPOPAGO             CHAR(2),
   NUMRECU              VARCHAR2(8),
   constraint RECUPIMPPRIMARYKEY1 primary key (NUMABONNE)
);

/*==============================================================*/
/* Index: RECUPIMPINDEX1                                        */
/*==============================================================*/
create index RECUPIMPINDEX1 on RECUPIMP (
   NUMABONNE ASC
);

/*==============================================================*/
/* Table: REPORTES                                              */
/*==============================================================*/
create table REPORTES  (
   CODIGO               NUMBER(10)                      not null,
   NOMBRE               VARCHAR2(50)
);

/*==============================================================*/
/* Table: ROLES                                                 */
/*==============================================================*/
create table ROLES  (
   NUMROLE              NUMBER(10)                      not null,
   NUMINTER             NUMBER(10),
   TIPO                 CHAR(4),
   DTSAISIE             DATE,
   HRSAISIE             VARCHAR2(5),
   OPESAISIE            VARCHAR2(10),
   FECHACITA            DATE,
   HRCITA               VARCHAR2(5),
   OPEMODIF             VARCHAR2(10),
   FECHAMODIF           DATE,
   HRMODIF              VARCHAR2(5),
   OBSERVACION          VARCHAR2(40),
   STATUS               CHAR(1),
   CODINT               CHAR(4),
   MOVIL                VARCHAR2(6),
   SECTOR               CHAR(1),
   PADRINO              VARCHAR2(10),
   constraint ROLESPRIMARYKEY1 primary key (NUMROLE)
);

/*==============================================================*/
/* Index: ROLESINDEX1                                           */
/*==============================================================*/
create index ROLESINDEX1 on ROLES (
   NUMINTER ASC
);

/*==============================================================*/
/* Table: SALDOS_PENDIENTES                                     */
/*==============================================================*/
create table SALDOS_PENDIENTES  (
   NUMABONNE            NUMBER(10)                      not null,
   SALDO                NUMBER(14,2)                    not null,
   FECHA                DATE                            not null,
   ID_SALDOS_PENDIENTES NUMBER(10)                      not null,
   ESTADO               VARCHAR2(1),
   NUMINTER             NUMBER(10),
   NUMPIECE             NUMBER(10),
   constraint SALDOS_PENDIENTES_PK primary key (ID_SALDOS_PENDIENTES)
);

/*==============================================================*/
/* Table: SCHEDULEPPV                                           */
/*==============================================================*/
create table SCHEDULEPPV  (
   SCHEDID              NUMBER(10)                      not null,
   LBEN                 NUMBER(10)                      not null,
   CHANNELID            NUMBER(5),
   CHANNELNAME          VARCHAR2(30),
   SCHEDSTARTDT         DATE,
   SCHEDSTARTTI         VARCHAR2(5),
   SCHEDUREE            NUMBER(5),
   DTSAISIE             DATE,
   SCHEDBSID            NUMBER(10),
   constraint SCHEDULEPPVPRIMARYKEY1 primary key (SCHEDID)
);

/*==============================================================*/
/* Index: SCHEDULEPPVINDEX1                                     */
/*==============================================================*/
create index SCHEDULEPPVINDEX1 on SCHEDULEPPV (
   LBEN ASC
);

/*==============================================================*/
/* Index: SCHEDULEPPVINDEX2                                     */
/*==============================================================*/
create index SCHEDULEPPVINDEX2 on SCHEDULEPPV (
   SCHEDBSID ASC
);

/*==============================================================*/
/* Index: SCHEDULEPPVINDEX4                                     */
/*==============================================================*/
create index SCHEDULEPPVINDEX4 on SCHEDULEPPV (
   CHANNELID ASC
);

/*==============================================================*/
/* Table: SECTOR                                                */
/*==============================================================*/
create table SECTOR  (
   CODIGO               NUMBER(10)                      not null,
   DESCRIPCION          VARCHAR2(30),
   SECTOR               VARCHAR2(1),
   constraint PK_SECTOR primary key (CODIGO)
);

/*==============================================================*/
/* Table: SERVTERMINAL                                          */
/*==============================================================*/
create table SERVTERMINAL  (
   ORDRE                NUMBER(10)                      not null,
   CODPROD              CHAR(4),
   NUMSERIE             VARCHAR2(15),
   constraint SERVTERMINALPRIMARYKEY1 primary key (ORDRE)
);

/*==============================================================*/
/* Index: SERVTERMINALINDEX1                                    */
/*==============================================================*/
create index SERVTERMINALINDEX1 on SERVTERMINAL (
   NUMSERIE ASC
);

/*==============================================================*/
/* Table: SOCIETE                                               */
/*==============================================================*/
create table SOCIETE  (
   NUMSOC               NUMBER(5)                       not null,
   NOM                  VARCHAR2(25),
   NBABONNE             NUMBER(10),
   AGENCE               VARCHAR2(25),
   NUMRECU              NUMBER(10),
   TITULO1              VARCHAR2(40),
   TITULO2              VARCHAR2(40),
   TITULO3              VARCHAR2(40),
   TITULO4              VARCHAR2(40),
   OFICEID              NUMBER(10),
   HEADEND              NUMBER(5),
   NOTELDLA             VARCHAR2(15),
   REG_BANCOS           NUMBER(5),
   LABL_NIV01           VARCHAR2(15),
   LABL_NIV02           VARCHAR2(15),
   LABL_NIV03           VARCHAR2(15),
   LABL_NIV04           VARCHAR2(15),
   SOCIOCOLILLA         CHAR(1),
   constraint SOCIETEPRIMARYKEY1 primary key (NUMSOC)
);

/*==============================================================*/
/* Table: SOLICITUD_CABIO_PRECIO                                */
/*==============================================================*/
create table SOLICITUD_CABIO_PRECIO  (
   ID                   NUMBER(10)                      not null,
   USUARIO_SOLICITA     VARCHAR2(10),
   CODPROD              CHAR(4),
   FECHA_SOLICITUD      DATE                            not null,
   NOMBRE_SOLICITANTE   VARCHAR2(50),
   FEHA_APLICACION      DATE,
   NOMBRE_APRUEBA       VARCHAR2(50),
   APROBADO             CHAR(1),
   USUARIO_APROBO       VARCHAR2(10),
   PRECIO_NUEVO         NUMBER(14,2),
   USUARIO_APLICO       VARCHAR2(10),
   FECHA_APROBACION     DATE,
   APLICADO             CHAR(1),
   TIPO_SOLICITUD       NUMBER(10)                      not null
      constraint SOLICITUD_CABIO__TIPO_SOLIC_CK check (TIPO_SOLICITUD in (1,2,3)),
   MONEDA               NUMBER(10)                      not null
      constraint SOLICITUD_CABIO__MONEDA_CK check (MONEDA in (1,2)),
   CODINSEE             VARCHAR2(5),
   LOCALIZATION         VARCHAR2(5),
   constraint PK_SOLICITUD_CABIO_PRECIO primary key (ID)
);

/*==============================================================*/
/* Table: STATRECO                                              */
/*==============================================================*/
create table STATRECO  (
   NUMSTATRECO          NUMBER(10)                      not null,
   NUMABONNE            NUMBER(10)                      not null,
   DTRECO               DATE,
   DTRESI               DATE,
   constraint STATRECOPRIMARYKEY1 primary key (NUMSTATRECO)
);

/*==============================================================*/
/* Table: TAP                                                   */
/*==============================================================*/
create table TAP  (
   CODIGO_TAP           NUMBER(10)                      not null,
   NOMBRE_TAP           VARCHAR2(25),
   CODIGO_HEADEND       VARCHAR2(5)                     not null,
   CODIGO_HUB           VARCHAR2(5)                     not null,
   NUMNODE              VARCHAR2(10)                    not null,
   CODIGO_RAMAL         VARCHAR2(3)                     not null,
   CAPACIDAD            NUMBER(10),
   RANGO                NUMBER(10),
   PUERTOS              NUMBER(10),
   VALOR                NUMBER(10),
   MARCA                VARCHAR2(15),
   INTELIGENTE          CHAR(1),
   constraint TAP_PK primary key (CODIGO_TAP, CODIGO_HEADEND, CODIGO_HUB, NUMNODE, CODIGO_RAMAL)
);

/*==============================================================*/
/* Table: TAPXNODE                                              */
/*==============================================================*/
create table TAPXNODE  (
   NUMTAP               VARCHAR2(9)                     not null,
   NUMNODE              VARCHAR2(5)                     not null,
   RAMAL                VARCHAR2(5),
   CAPACIDAD            NUMBER(5)                       not null,
   constraint TAPXNODEPRIMARYKEY1 primary key (NUMTAP, NUMNODE)
);

/*==============================================================*/
/* Table: TEMP                                                  */
/*==============================================================*/
create table TEMP  (
   NUMPIECE             NUMBER(10)                      not null,
   NUMABONNE            NUMBER(10),
   PERIODE              VARCHAR2(7),
   constraint TEMPPRIMARYKEY1 primary key (NUMPIECE)
);

/*==============================================================*/
/* Table: TEMPCOMPARAINTERNET                                   */
/*==============================================================*/
create table TEMPCOMPARAINTERNET  (
   NUMABONNE            NUMBER(10)                      not null,
   SERVIDOR             VARCHAR2(5),
   TIPOCABLEMODEM       VARCHAR2(6),
   FECHA                DATE,
   USUARIO              VARCHAR2(10),
   MSGERROR             VARCHAR2(400)
);

/*==============================================================*/
/* Index: COMPARAINTERNETINDEX1                                 */
/*==============================================================*/
create index COMPARAINTERNETINDEX1 on TEMPCOMPARAINTERNET (
   NUMABONNE ASC
);

/*==============================================================*/
/* Table: TEMPDETEC                                             */
/*==============================================================*/
create table TEMPDETEC  (
   NUMTEMP              NUMBER(10)                      not null,
   CODPROD              CHAR(4)                         not null,
   MTT                  NUMBER(14,2),
   CODTVA               CHAR(4),
   NUMJRNL              CHAR(3),
   constraint TEMPDETECPRIMARYKEY1 primary key (NUMTEMP, CODPROD)
);

/*==============================================================*/
/* Index: TEMPDETECINDEX1                                       */
/*==============================================================*/
create index TEMPDETECINDEX1 on TEMPDETEC (
   NUMTEMP ASC,
   CODPROD ASC
);

/*==============================================================*/
/* Table: TEMPDETINTERMAT                                       */
/*==============================================================*/
create table TEMPDETINTERMAT  (
   NUMINTER             NUMBER(10)                      not null,
   CODMAT               VARCHAR2(9)                     not null,
   QTEINST              NUMBER(5),
   constraint TEMPDETINTERMATPRIMARYKEY1 primary key (NUMINTER, CODMAT)
);

/*==============================================================*/
/* Table: TEMPEC                                                */
/*==============================================================*/
create table TEMPEC  (
   NUMTEMP              NUMBER(10)                      not null,
   NUMABONNE            NUMBER(10),
   PERIODE              VARCHAR2(7),
   DTCPT                DATE,
   DTSAISIE             DATE,
   NUMJRNL              CHAR(3),
   LIB                  VARCHAR2(50),
   NUMFACT              NUMBER(10),
   MTTDEB               NUMBER(14,2),
   MTTCRED              NUMBER(14,2),
   MDRGLT               CHAR(4),
   CODOPE               VARCHAR2(10),
   CODINSEE             VARCHAR2(5),
   TYPEC                CHAR(4),
   CBOR                 CHAR(4),
   RESUMANU             NUMBER(10),
   NUMLOTE              VARCHAR2(10),
   MOTIFIMP             CHAR(4),
   LIBNC                VARCHAR2(50),
   NUMCHQ               VARCHAR2(10),
   BANKCHQ              VARCHAR2(25),
   EMISOR               VARCHAR2(25),
   NUMCARD              VARCHAR2(16),
   NUMAUTORIZ           VARCHAR2(16),
   TARJETAHABIENTE      VARCHAR2(40),
   MILLAS               NUMBER(14,2),
   PAQUETE              CHAR(4),
   constraint TEMPECPRIMARYKEY1 primary key (NUMTEMP)
);

/*==============================================================*/
/* Index: TEMPECINDEX1                                          */
/*==============================================================*/
create index TEMPECINDEX1 on TEMPEC (
   NUMABONNE ASC
);

/*==============================================================*/
/* Index: TEMPECINDEX2                                          */
/*==============================================================*/
create index TEMPECINDEX2 on TEMPEC (
   CODOPE ASC
);

/*==============================================================*/
/* Table: TEMPFACTPPV                                           */
/*==============================================================*/
create table TEMPFACTPPV  (
   NUMABONNE            NUMBER(10),
   MONTO                NUMBER(14,2),
   PELICULAS            NUMBER(5)
);

/*==============================================================*/
/* Table: TEMPINTES                                             */
/*==============================================================*/
create table TEMPINTES  (
   CUENTARACSA          NUMBER(10),
   INTE                 VARCHAR2(15),
   LOGIN                VARCHAR2(25),
   PAQUETE              CHAR(4),
   NUMCONTRAT           NUMBER(10),
   ORDRE                NUMBER(10),
   MOVIM                CHAR(1)
);

/*==============================================================*/
/* Table: TEMPNODE                                              */
/*==============================================================*/
create table TEMPNODE  (
   LOCALIZATION         VARCHAR2(5),
   NUMNODO              VARCHAR2(9)
);

/*==============================================================*/
/* Index: TEMPNODEINDEX1                                        */
/*==============================================================*/
create index TEMPNODEINDEX1 on TEMPNODE (
   LOCALIZATION ASC
);

/*==============================================================*/
/* Table: TEMPRACSAINTE                                         */
/*==============================================================*/
create table TEMPRACSAINTE  (
   NUMABONNE            NUMBER(10)                      not null,
   CUENTARACSA          NUMBER(10),
   INTE                 VARCHAR2(15),
   LOGIN                VARCHAR2(50),
   PAQRACSA             CHAR(4),
   MSGERROR             VARCHAR2(400)
);

/*==============================================================*/
/* Index: TEMPRACSAINTEINDEX1                                   */
/*==============================================================*/
create index TEMPRACSAINTEINDEX1 on TEMPRACSAINTE (
   NUMABONNE ASC
);

/*==============================================================*/
/* Table: TERMINAL                                              */
/*==============================================================*/
create table TERMINAL  (
   NUMID                NUMBER(10),
   NUMSERIE             VARCHAR2(15)                    not null,
   MODELO               VARCHAR2(8),
   TIPO                 CHAR(2),
   STATUS               VARCHAR2(10),
   PRECIO               NUMBER(14,2),
   DTSAISIE             DATE,
   PPV                  CHAR(3),
   DOBLEVIA             CHAR(3),
   VOLUME               CHAR(3),
   REMOTE               CHAR(3),
   IPPV                 CHAR(3),
   FAVORITE             CHAR(3),
   BSID17               CHAR(3),
   BSID20               CHAR(3),
   BSID21               CHAR(3),
   BSID22               CHAR(3),
   CREDIT               NUMBER(5),
   BSID123              CHAR(3),
   FECHAVENCE           DATE,
   NUME_PROMO           NUMBER(5),
   NUME_PROVI           NUMBER(5),
   HUB                  CHAR(1),
   constraint TERMINALPRIMARYKEY1 primary key (NUMSERIE)
);

/*==============================================================*/
/* Index: TERMINALINDEX1                                        */
/*==============================================================*/
create index TERMINALINDEX1 on TERMINAL (
   NUMID ASC
);

/*==============================================================*/
/* Table: TERMINALBSID                                          */
/*==============================================================*/
create table TERMINALBSID  (
   NUMSERIE             VARCHAR2(15)                    not null,
   BSID                 VARCHAR2(5)                     not null,
   constraint TERMINALBSIDPRIMARYKEY1 primary key (NUMSERIE, BSID)
);

/*==============================================================*/
/* Table: TITLEPPV                                              */
/*==============================================================*/
create table TITLEPPV  (
   LBEN                 NUMBER(10)                      not null,
   MOVIENAME            VARCHAR2(80),
   DUREE                NUMBER(5),
   RATING               NUMBER(5),
   TIPOEVENT            NUMBER(5),
   DTSAISIE             DATE,
   PRIX                 NUMBER(14,2),
   GENREEVENT           NUMBER(5),
   MOVIENAMEDLA         VARCHAR2(80),
   constraint TITLEPPVPRIMARYKEY1 primary key (LBEN)
);

/*==============================================================*/
/* Table: TRANSACDLA                                            */
/*==============================================================*/
create table TRANSACDLA  (
   NUMTRANSACDLA        NUMBER(10)                      not null,
   DTSAISIE             DATE,
   HEURETRANSAC         VARCHAR2(8),
   ENVOITRANSAC         VARCHAR2(250),
   OPETRANSAC           VARCHAR2(10),
   RECUTRANSAC          VARCHAR2(150),
   constraint TRANSACDLAPRIMARYKEY1 primary key (NUMTRANSACDLA)
);

/*==============================================================*/
/* Table: TRANSACPPV                                            */
/*==============================================================*/
create table TRANSACPPV  (
   NUMTRANSACDLA        NUMBER(10)                      not null,
   DTSAISIE             DATE,
   HEURETRANSAC         VARCHAR2(8),
   OPETRANSAC           VARCHAR2(10),
   RECUTRANSAC          VARCHAR2(250),
   constraint TRANSACPPVPRIMARYKEY1 primary key (NUMTRANSACDLA)
);

/*==============================================================*/
/* Table: TYPPARA                                               */
/*==============================================================*/
create table TYPPARA  (
   CODTBL               CHAR(4)                         not null,
   LIB                  VARCHAR2(25),
   constraint TYPPARAPRIMARYKEY1 primary key (CODTBL)
);

/*==============================================================*/
/* Table: TYPTVA                                                */
/*==============================================================*/
create table TYPTVA  (
   CODTVA               CHAR(4)                         not null,
   LIB                  VARCHAR2(25),
   TAUX                 NUMBER(14,2)                   default 0,
   DIVISOR              NUMBER(14,2),
   constraint TYPTVAPRIMARYKEY1 primary key (CODTVA)
);

/*==============================================================*/
/* Table: UTILISATEUR                                           */
/*==============================================================*/
create table UTILISATEUR  (
   LOGIN                VARCHAR2(10)                    not null,
   PASSE                VARCHAR2(10),
   DROIT                CHAR(4),
   LIB                  VARCHAR2(50),
   DATE_PASSWORD        DATE,
   DATE_CIERRE          DATE,
   DATE_LOGIN           DATE,
   HEURE_LOGIN          VARCHAR2(5),
   FECHASALIDA          DATE,
   EMAIL                VARCHAR2(50),
   WORKTO               CHAR(4),
   PRIORIDAD            NUMBER(10),
   CASILLERO            VARCHAR2(20),
   CAMBIA_RELOJ         VARCHAR2(1),
   CLAVE_EMAIL          VARCHAR2(12),
   ALOPA                CHAR(1),
   constraint DROITPRIMARYKEY1 primary key (LOGIN)
);

/*==============================================================*/
/* Table: VENTE                                                 */
/*==============================================================*/
create table VENTE  (
   ORDRE                NUMBER(10)                      not null,
   NUMABONNE            NUMBER(10)                      not null,
   CODPROD              CHAR(4),
   MTT                  NUMBER(14,2),
   CODVEND              CHAR(4),
   CODPROV              CHAR(4),
   DTSAISIE             DATE,
   DTSIGN               DATE,
   DTMENS               DATE,
   DTPAIE               DATE,
   DTRESI               DATE,
   CODRESI              CHAR(4),
   DTCHGTTF             DATE,
   CTINST               NUMBER(14,2),
   CTREDUC              NUMBER(14,2),
   MTTDOL               NUMBER(14,2),
   QTEDMD               NUMBER(5),
   QTEREA               NUMBER(5),
   STATUT               CHAR(1),
   CODMARK              CHAR(4),
   FACTPRORAT           CHAR(1),
   INTE                 VARCHAR2(15),
   NUM_DOCU             NUMBER(10),
   DTRESI2              DATE,
   constraint VENTEPRIMARYKEY1 primary key (ORDRE)
);

/*==============================================================*/
/* Index: VENTEINDEX1                                           */
/*==============================================================*/
create index VENTEINDEX1 on VENTE (
   NUMABONNE ASC
);

/*==============================================================*/
/* Index: VENTEINDEX2                                           */
/*==============================================================*/
create index VENTEINDEX2 on VENTE (
   CODPROD ASC
);

/*==============================================================*/
/* Index: VENTEINDEX3                                           */
/*==============================================================*/
create index VENTEINDEX3 on VENTE (
   DTPAIE ASC
);

/*==============================================================*/
/* Index: VENTEINDEX4                                           */
/*==============================================================*/
create index VENTEINDEX4 on VENTE (
   INTE ASC
);

/*==============================================================*/
/* Table: VISITE                                                */
/*==============================================================*/
create table VISITE  (
   NUMVISITE            NUMBER(10)                      not null,
   NUMABONNE            NUMBER(10),
   DTSAISIE             DATE,
   LIB                  VARCHAR2(50),
   constraint VISITEPRIMARYKEY1 primary key (NUMVISITE)
);

/*==============================================================*/
/* Index: VISITEINDEX1                                          */
/*==============================================================*/
create index VISITEINDEX1 on VISITE (
   NUMABONNE ASC
);

/*==============================================================*/
/* Table: VTE                                                   */
/*==============================================================*/
create table VTE  (
   NUMABONNE            NUMBER(10)                      not null,
   CODPROD              CHAR(4)                         not null,
   NOM                  VARCHAR2(25),
   MTT                  NUMBER(14,2),
   PAIE                 NUMBER(14,2)
);

/*==============================================================*/
/* Index: VTEINDEX1                                             */
/*==============================================================*/
create index VTEINDEX1 on VTE (
   NUMABONNE ASC,
   CODPROD ASC
);

/*==============================================================*/
/* View: AVERIASINDETINTER                                      */
/*==============================================================*/
create or replace view AVERIASINDETINTER as
select NUMINTER, NUMABONNE, DTDEB, TIPO, LIB, MOTIF, '0000' as codprod, 'Add' as movimiento
   from INTERVENTION
    where
     ESTADO = 'F' and intervention.TIPO = 'Apl';

alter table BITACORA_NODOS
   add constraint Reference_14_FK foreign key (ESTADO)
      references ESTADO_NODO (ESTADO);

alter table BITACORA_NODOS
   add constraint Reference_15_FK foreign key (NUMNODE, CODIGO_HEADEND, CODIGO_HUB)
      references NODE (NUMNODE, CODIGO_HEADEND, CODIGO_HUB)
      on delete cascade;

alter table CANTONES
   add constraint Reference_2_FK foreign key (CPROV, CPAIS)
      references PROVINCIAS (CPROV, CPAIS)
      on delete cascade;

alter table DISTRITOS
   add constraint Reference_3_FK foreign key (CCANTON, CPROV, CPAIS)
      references CANTONES (CCANTON, CPROV, CPAIS)
      on delete cascade;

alter table HUB
   add constraint Reference_6_FK foreign key (CODIGO_HEADEND)
      references HEADEND (CODIGO_HEADEND)
      on delete cascade;

alter table LOCALIZACION_NODO
   add constraint Reference_10_FK foreign key (NUMNODE, CODIGO_HEADEND, CODIGO_HUB)
      references NODE (NUMNODE, CODIGO_HEADEND, CODIGO_HUB)
      on delete cascade;

alter table LOCALIZACION_NODO
   add constraint Reference_11_FK foreign key (CODINSEE, LOCALISATION)
      references LOCALIZATION (CODINSEE, LOCALISATION)
      on delete cascade;

alter table LOCALIZATION
   add constraint Reference_4_FK foreign key (CDISTRI, CCANTON, CPROV, CPAIS)
      references DISTRITOS (CDISTRI, CCANTON, CPROV, CPAIS)
      on delete cascade;

alter table LOCALIZATION
   add constraint Reference_5_FK foreign key (CODINSEE)
      references COMMUNE (CODINSEE);

alter table NODE
   add constraint Reference_13_FK foreign key (ESTADO)
      references ESTADO_NODO (ESTADO);

alter table NODE
   add constraint Reference_7_FK foreign key (CODIGO_HUB, CODIGO_HEADEND)
      references HUB (CODIGO_HUB, CODIGO_HEADEND)
      on delete cascade;

alter table PARAMETRE
   add constraint PARAMETREFOREIGNKEY1 foreign key (CODTBL)
      references TYPPARA (CODTBL);

alter table PRISE
   add constraint Reference_12_FK foreign key (NUMABONNE)
      references ABONNE (NUMABONNE)
      on delete cascade;

alter table PROVINCIAS
   add constraint Reference_1_FK foreign key (CPAIS)
      references PAISES (CPAIS)
      on delete cascade;

alter table RAMAL
   add constraint Reference_8_FK foreign key (NUMNODE, CODIGO_HEADEND, CODIGO_HUB)
      references NODE (NUMNODE, CODIGO_HEADEND, CODIGO_HUB)
      on delete cascade;

alter table TAP
   add constraint Reference_9_FK foreign key (CODIGO_RAMAL, CODIGO_HEADEND, CODIGO_HUB, NUMNODE)
      references RAMAL (CODIGO_RAMAL, CODIGO_HEADEND, CODIGO_HUB, NUMNODE)
      on delete cascade;

alter table UTILISATEUR
   add constraint UTILISATEURFOREIGNKEY1 foreign key (DROIT)
      references DROITS (DROIT);

