
/*  Procedure COSTO_INSTALACION  */
CREATE OR REPLACE PROCEDURE COSTO_INSTALACION (CP IN VARCHAR2, COSTO OUT NUMBER) IS 
   copr  produit.CTINST%TYPE;
   monto produit.PRIX%TYPE;
BEGIN
   select CTINST into copr
   from produit
   where codprod = cp;

   select prix into monto
   from produit
   where codprod = copr;

   costo := greatest(monto,0);
--EXCEPTION
--   WHEN NO_DATA_FOUND THEN
--      NULL;
END;
/
 
/*  Procedure COSTO_INSTALACION_MODIF  */
CREATE OR REPLACE PROCEDURE COSTO_INSTALACION_MODIF (CP VARCHAR2, COSTO OUT NUMBER) IS 
   copr  produit.CTMODIF%TYPE;
   monto produit.PRIX%TYPE;
BEGIN
   select CTMODIF  into copr
   from produit
   where codprod = cp;

   select prix  into monto
   from produit
   where codprod = copr;

   costo:=Greatest(monto, 0);
--EXCEPTION
--   WHEN NO_DATA_FOUND THEN
--      NULL;
END;
/
 
 
/*  Procedure INSERT_BLOC_NOTE  */
CREATE OR REPLACE PROCEDURE INSERT_BLOC_NOTE(NUMABONNE NUMBER,
                     LIB VARCHAR2, DTSAISIE DATE, CODOPE VARCHAR2) IS 
   Vnumbn blocnote.numbn%type;
begin
   incbn(Vnumbn);
 
   insert into Blocnote 
     (numBN, numabonne,lib, dtsaisie,codope) 
   values 
     (Vnumbn, numabonne, lib, dtsaisie,codope);
end;
/
 
/*  Procedure INSERT_BN_INTERNET  */
CREATE OR REPLACE PROCEDURE INSERT_BN_INTERNET(NUMLLAMADA NUMBER,
   NUMABONNE NUMBER,
   FECHAINI DATE,
   HORAINI VARCHAR2,
   USUARIOINI VARCHAR2,
   MOTIVO VARCHAR2,
   RESPUESTA VARCHAR2,
   OBSERVACION VARCHAR2, --xxx 4096
   ESTADO CHAR,
   GRUPOLATE VARCHAR2,
   NUMBINT OUT NUMBER) IS 
  numbnint Averinternet.numllamada%type;
begin
   incbnint(numbnint);
 
   insert into Averinternet 
      (numllamada, numabonne, fechaini, horaini, usuarioini,
       motivo,respuesta,observacion,estado,grupolate) 
   values 
      (numbnint, numabonne,fechaini,horaini,usuarioini,motivo,respuesta,observacion,estado,grupolate);
 
   numbint :=numbnint;
end;
/
 
/*  Procedure INSERT_BN_INTERNETB  */
CREATE OR REPLACE PROCEDURE INSERT_BN_INTERNETB (NUMLLAMADA NUMBER,
  NUMABONNE NUMBER,
  FECHAINI DATE,
  HORAINI VARCHAR2,
  USUARIOINI VARCHAR2,
  MOTIVO VARCHAR2,
  RESPUESTA VARCHAR2,
  OBSERVACION VARCHAR2, -- xxx 4096
  ESTADO CHAR,
  GRUPOLATE VARCHAR2,
  PRIORIDAD NUMBER,
  NUMBINT OUT NUMBER) IS 
  numbnint Averinternet.numllamada%type;
begin
   incbnint(numbnint);
   insert into Averinternet
      (numllamada, numabonne, fechaini, horaini, usuarioini, motivo,respuesta,observacion,estado,grupolate,prioridad)
   values
    (numbnint,numabonne,fechaini,horaini,usuarioini,motivo,respuesta,observacion,estado,grupolate,prioridad);
   numbint := numbnint;
end;
/
 
/*  Procedure INSERT_COLILLA  */
CREATE OR REPLACE PROCEDURE INSERT_COLILLA (NUMABONNE NUMBER,
  NUMSOUSCRIPT NUMBER,
  NOM VARCHAR2,
  DTSAISIE DATE,
  CODOPE VARCHAR2)  IS 
   Vnumcambio cambiocolilla.numcambio%type;
 
begin
   inccambio(Vnumcambio);
 
   insert into CAMBIOCOLILLA
      (numcambio, numabonne, numsouscript, nom, dtsaisie, codope)
   values 
     (Vnumcambio, numabonne, numsouscript, nom, dtsaisie, codope);
END;
/
 
/*  Procedure INSERT_DETEC_CHQ  */
CREATE OR REPLACE PROCEDURE INSERT_DETEC_CHQ (
  NUMPIECE NUMBER,
  NUMCHQ CHAR,
  BANKCHQ CHAR)  IS 
BEGIN
   insert into DETECHQ
     (numpiece, numchq, bankchq)
   values 
     (numpiece, numchq, bankchq);
 
END;
/
 
/*  Procedure INSERT_DETEC_F_A  */
CREATE OR REPLACE PROCEDURE INSERT_DETEC_F_A (
  NUMPIECE NUMBER,
  CODPROD CHAR,
  CODTVA CHAR,
  JRNLDET CHAR,
  MTT NUMBER) IS
BEGIN
   insert into DETEC 
     (numpiece, codprod, mtt, codtva, numjrnl)
   values 
     (numpiece, codprod, mtt, codtva, jrnldet);
END;
/
 
/*  Procedure INSERT_DETINTER  */
CREATE OR REPLACE PROCEDURE INSERT_DETINTER (
  NUMINTER NUMBER,
  CODPROD CHAR,
  QTEDMD NUMBER,
  ORDREVTE NUMBER,
  MOVIMIENTO CHAR,
  ESTADO CHAR)  IS
BEGIN
   insert into DETINTER
      (numinter, codprod, qtedmd, ordrevte, movimiento, estado)
   values 
      (numinter, codprod, qtedmd, ordrevte, movimiento, estado);
END;
/
 
/*  Procedure INSERT_ECRITCPT_DETEC_F_A  */
CREATE OR REPLACE PROCEDURE INSERT_ECRITCPT_DETEC_F_A (
  NUMABONNE NUMBER,
  PERIODE CHAR,
  DTCPT  DATE,
  DTSAISIE  DATE,
  LIB VARCHAR2,
  MTTDEB NUMBER,
  MTTCRED NUMBER,
  CODOPE VARCHAR2,
  MDRGLT CHAR,
  CODINSEE CHAR,
  NUMJRNL CHAR,
  RECONCIL CHAR,
  MOTIFIMP CHAR,
  TYPEC CHAR,
  CBOR CHAR,
  RESUMANU NUMBER,
  CODPROD CHAR,
  CODTVA CHAR,
  JRNLDET CHAR,
  NUMFACT OUT NUMBER) IS 
  numEC        ecritcpt.numpiece%type;
  encaisse     number;
  reste        number;
  mtt          number;
 

begin
   incEC(numEC);
 
   encaisse := 0;
   if mttdeb = 0 then
      mtt:=mttcred;
   end if;
   if mttcred =0 then
      mtt:=mttdeb;
   end if;
   if typec ='FAC' then
      reste :=mttdeb;
   elsif typec ='AVR' then
      reste := mttCRED;
   end if;
 
   insert into ECRITCPT 
       (numpiece, numabonne, periode, dtcpt,  dtsaisie,  numjrnl,  lib,  numfact,  mttdeb,
        mttcred, mdrglt, reconcil, motifimp, codope, encaisse, reste, codinsee,
        typec, cbor, resumanu) 
   values 
      (numEC, numabonne, periode, dtcpt, dtsaisie, numjrnl, lib, numEC, mttdeb,
       mttcred, mdrglt, reconcil, motifimp, codope, encaisse, reste, codinsee,
       typec, cbor, resumanu);
 
   insert into DETEC 
      (numpiece,codprod, mtt, codtva, numjrnl)
   values
      (numEC, codprod, mtt, codtva, jrnldet);
 
   numfact := numec;
end;
/
 
/*  Procedure INSERT_ECRITCPT_F_A  */
CREATE OR REPLACE PROCEDURE INSERT_ECRITCPT_F_A (NUMABONNE NUMBER,
  PERIODE CHAR,
  DTCPT  DATE,
  DTSAISIE  DATE,
  LIB VARCHAR2,
  MTTDEB NUMBER,
  MTTCRED NUMBER,
  CODOPE VARCHAR2,
  MDRGLT CHAR,
  CODINSEE CHAR,
  NUMJRNL CHAR,
  RECONCIL CHAR,
  MOTIFIMP CHAR,
  TYPEC CHAR,
  CBOR CHAR,
  RESUMANU NUMBER,
  NUMFACT OUT NUMBER) IS 
   numEC    ecritcpt.numpiece%type;
   encaisse number;
   reste    number;
 
begin
   incEC(numEC);
 
   encaisse := 0;
   if (typec ='FAC') then
     reste :=mttdeb;
   elsif (typec ='AVR') then
     reste := mttCRED;
   end if;
 
   insert into ECRITCPT 
     (numpiece, numabonne, periode, dtcpt,  dtsaisie,  numjrnl,  lib,  numfact,  mttdeb,
      mttcred, mdrglt, reconcil, motifimp, codope, encaisse, reste, codinsee,
      typec, cbor, resumanu) 
   values 
     (numEC, numabonne, periode, dtcpt, dtsaisie, numjrnl, lib, numEC, mttdeb,
      mttcred, mdrglt, reconcil, motifimp, codope, encaisse, reste, codinsee,
      typec, cbor, resumanu);
 
   numfact := numec;
end;
/
 
/*  Procedure INSERT_HISTERMINAL  */
CREATE OR REPLACE PROCEDURE INSERT_HISTERMINAL (
  NUMABONNE NUMBER,
  NUMSERIE CHAR,
  CODOPE CHAR,
  TIPOMOVIMIENTO CHAR,
  FECHAMOVI  DATE,
  COMMENT VARCHAR2)  IS 
   VnumHIST histerminal.numhist%type;
 
begin
   inchist(Vnumhist);
 
   insert into HISTERMINAL
      (numHIST, numabonne,numserie,fechamovi, codope,tipomovimiento,comentario)
   values 
      (VnumHIST, numabonne, numserie,fechamovi,codope,tipomovimiento,comment);
end;
/
 
/*  Procedure INSERT_IMPAYE  */
CREATE OR REPLACE PROCEDURE INSERT_IMPAYE (
  NUMABONNE NUMBER,
  NUMPIECE NUMBER,
  MOTIF CHAR,
  LIB CHAR,
  ESTADO CHAR,
  MTT NUMBER,
  PERIODE  DATE)  IS 
   Vnumimp impaye.numimp%type;
 
begin
   incImp(Vnumimp);
 
   insert into impaye
     (numimp, numabonne,periode,mtt,motif,estado,numpiece,lib)
   values 
     (Vnumimp, numabonne, periode, mtt, motif, estado, numpiece, lib);
end;
/
 
/*  Procedure INSERT_INTERVENTION  */
CREATE OR REPLACE PROCEDURE INSERT_INTERVENTION (
  NUMABONNE NUMBER,
  NUMRDV NUMBER,
  DTDEB  DATE,
  HEURE CHAR,
  LIB VARCHAR2,
  TIPO CHAR,
  ESTADO CHAR,
  MOTIF CHAR,
  REPONSE CHAR,
  DETMOTIF VARCHAR2,
  DETREP VARCHAR2,
  OPESAISIE VARCHAR2,
  DTOTAVERIA  DATE,
  NUMITV OUT NUMBER) IS 
   Vnuminter Intervention.numinter%type;
begin
   incItv(Vnuminter);
 
   insert into Intervention 
     (numinter, numabonne,dtdeb, heure, lib, tipo,motif,reponse,
     opesaisie,numrdv,detmotif,detrep, dtotaveria, estado) 
   values 
     (Vnuminter, numabonne, dtdeb, heure, lib, tipo, motif, reponse,
      opesaisie, numrdv, detmotif, detrep, dtotaveria, estado);
  NUMITV := VNUMINTER;
end;
/
 
/*  Procedure INSERT_INTERVENTION2  */
CREATE OR REPLACE PROCEDURE INSERT_INTERVENTION2 (
  NUMABONNE NUMBER,
  NUMRDV NUMBER,
  DTDEB  DATE,
  HEURE CHAR,
  LIB VARCHAR2,
  TIPO CHAR,
  ESTADO CHAR,
  MOTIF CHAR,
  REPONSE CHAR,
  DETMOTIF VARCHAR2,
  DETREP VARCHAR2,
  OPESAISIE VARCHAR2,
  DTOTAVERIA  DATE,
  GRUPOLATE VARCHAR2,
  NUMITV OUT NUMBER) IS 
   Vnuminter Intervention.numinter%type;
 
begin
   incItv(Vnuminter);
 
   insert into Intervention 
      (numinter, numabonne,dtdeb, heure, lib, tipo,motif,reponse,
      opesaisie,numrdv,detmotif,detrep, dtotaveria, estado, grupolate) 
   values 
      (Vnuminter, numabonne, dtdeb, heure, lib, tipo, motif, reponse,
       opesaisie, numrdv, detmotif, detrep, dtotaveria, estado, grupolate);
   NUMITV := VNUMINTER;
end;
/
 
/*  Procedure INSERT_RECHABONNE  */
CREATE OR REPLACE PROCEDURE INSERT_RECHABONNE (ABONNE NUMBER,
  NOM CHAR,
  TEL CHAR,
  NUMCTRT NUMBER,
  SOUSCRIT NUMBER,
  NUMRECHID OUT NUMBER) IS 
   VnumID Rechabonne.numID%type;
 
begin
   increch(Vnumid);
 
   insert into Rechabonne 
     (numid, abonne,souscrit,nom, tel,numctrt) 
   values 
     (Vnumid, abonne, souscrit, nom, tel, numctrt);
   NUMRECHID := VNUMID;
End;
/
 
/*  Procedure INSERT_RECUPIMP  */
CREATE OR REPLACE PROCEDURE INSERT_RECUPIMP (NUMABONNE NUMBER,
  MTT NUMBER,
  STATUT CHAR,
  TIPOPAGO CHAR,
  NUMRECU CHAR) IS 
begin
   insert into RECUPIMP 
      (numabonne,mtt, statut,tipopago,numrecu) 
   values 
      (numabonne, mtt, statut, tipopago, numrecu);
End;
/
 
/*  Procedure INSERT_RGT_DETEC  */
CREATE OR REPLACE PROCEDURE INSERT_RGT_DETEC (NUMPIECE NUMBER,
  CODPROD CHAR,
  CODTVA CHAR,
  JRNLDET CHAR,
  MTT NUMBER)  IS            
begin
   insert into DETEC 
      (numpiece, codprod, mtt, codtva, numjrnl)
   values 
      (numpiece, codprod, mtt, codtva, jrnldet);
End;
/
 
/*  Procedure INSERT_RGT_DIRECT  */
CREATE OR REPLACE PROCEDURE INSERT_RGT_DIRECT (NUMABONNE NUMBER,
  PERIODE CHAR,
  DTCPT  DATE,
  DTSAISIE  DATE,
  NUMJRNL CHAR,
  LIB VARCHAR2,
  NUMFACT NUMBER,
  MTTDEB NUMBER,
  MTTCRED NUMBER,
  MDRGLT CHAR,
  CODOPE VARCHAR2,
  CODINSEE CHAR,
  TYPEC CHAR,
  CBOR CHAR,
  RESUMANU NUMBER,
  NUMLOTE VARCHAR2,
  NUMRGT OUT NUMBER) IS 
   Vnumpiece ecritcpt.numpiece%type;
begin
   incEC(Vnumpiece);
 
   insert into ecritcpt
      (numpiece, numabonne, periode, dtcpt,  dtsaisie,  numjrnl,  lib,  numfact,  mttdeb,
       mttcred, mdrglt, reconcil, motifimp,codope, encaisse, reste, codinsee, typec, cbor, resumanu,
       numlote) 
   values 
      (Vnumpiece, numabonne, periode, dtcpt, dtsaisie, numjrnl, lib, numfact, mttdeb,
       mttcred, mdrglt, 'F', '', codope, mttcred,0, codinsee, typec, cbor, resumanu,
       numlote);
   numrgt := Vnumpiece;
End;
/
 
/*  Procedure INSERT_RGT_FROM_TEMPEC  */
CREATE OR REPLACE PROCEDURE INSERT_RGT_FROM_TEMPEC (
  NUMPIECE NUMBER,
  NUMABONNE NUMBER,
  PERIODE CHAR,
  DTCPT  DATE,
  DTSAISIE  DATE,
  NUMJRNL CHAR,
  LIB VARCHAR2,
  NUMFACT NUMBER,
  MTTDEB NUMBER,
  MTTCRED NUMBER,
  MDRGLT CHAR,
  CODOPE VARCHAR2,
  CODINSEE CHAR,
  TYPEC CHAR,
  CBOR CHAR,
  RESUMANU NUMBER,
  NUMLOTE VARCHAR2,
  MOTIFIMP CHAR)  IS 
begin
   insert into ecritcpt
     (numpiece, numabonne, periode, dtcpt,  dtsaisie,  numjrnl,  lib,  numfact,  mttdeb,
      mttcred, mdrglt, reconcil, motifimp,codope, encaisse, reste, codinsee, typec, cbor, 
      resumanu, numlote) 
   values 
     (numpiece, numabonne, periode, dtcpt, dtsaisie, numjrnl, lib, numfact, mttdeb,
      mttcred, mdrglt, 'F', motifimp, codope, mttcred,0, codinsee, typec, cbor, resumanu,
      numlote);
End;
/
 
/*  Procedure INSERT_ROL  */
CREATE OR REPLACE PROCEDURE INSERT_ROL (
  NUMINTER NUMBER,
  TIPO CHAR,
  DTSAISIE  DATE,
  HRSAISIE CHAR,
  OPESAISIE VARCHAR2,
  FECHACITA  DATE,
  HRCITA CHAR,
  OBSERVACION VARCHAR2,
  STATUS CHAR,
  CODINT CHAR,
  MOVIL CHAR,
  SECTOR CHAR,
  PADRINO VARCHAR2)  IS 
   Vnumrole roles.numrole%type;
 
begin
   incRole(Vnumrole);
 
   insert into roles
      (numrole, numinter, tipo,dtsaisie, hrsaisie, opesaisie, fechacita,hrcita,
       observacion,status, codint, movil, sector, padrino) 
   values 
      (Vnumrole,numinter, tipo,dtsaisie, hrsaisie, opesaisie, fechacita,hrcita,
      observacion,status, codint, movil, sector, padrino); 
End;
/
 
/*  Procedure INSERT_STAT_RECO  */
CREATE OR REPLACE PROCEDURE INSERT_STAT_RECO (
  NUMABONNE NUMBER,
  DTRECO  DATE,
  DTRESI  DATE)  IS 
   Vnumstatreco StatRECO.numstatreco%type;
 
begin
   incstatreco(Vnumstatreco);
 
   insert into StatRECO
      (numstatreco, numabonne,dtreco,dtresi) 
   values 
      (Vnumstatreco, numabonne,dtreco,dtresi);
End;
/
 
/*  Procedure INSERT_TEMPDETEC  */
CREATE OR REPLACE PROCEDURE INSERT_TEMPDETEC (
  NUMTEMP NUMBER,
  CODPROD CHAR,
  CODTVA CHAR,
  JRNLDET CHAR,
  MTT NUMBER)  IS          
begin
   insert into TEMPDETEC 
      (numtemp, codprod, mtt, codtva, numjrnl)
   values
      (numtemp, codprod, mtt, codtva, jrnldet);
End;
/
 
/*  Procedure INSERT_TEMPEC  */
CREATE OR REPLACE PROCEDURE INSERT_TEMPEC (
  NUMABONNE NUMBER,
  PERIODE CHAR,
  DTCPT  DATE,
  DTSAISIE  DATE,
  NUMJRNL CHAR,
  LIB VARCHAR2,
  NUMFACT NUMBER,
  MTTDEB NUMBER,
  MTTCRED NUMBER,
  MDRGLT CHAR,
  CODOPE VARCHAR2,
  CODINSEE CHAR,
  TYPEC CHAR,
  CBOR CHAR,
  RESUMANU NUMBER,
  NUMLOTE VARCHAR2,
  MOTIFIMP CHAR,
  LIBNC VARCHAR2,
  NUMCHQ CHAR,
  BANKCHQ CHAR,
  NUMRGT OUT NUMBER) IS 
   numEC tempec.numtemp%type;
begin
   incEC(numEC);
 
   insert into TEMPEC
      (numtemp, numabonne, periode, dtcpt,  dtsaisie,  numjrnl,  lib,  numfact,  mttdeb,
       mttcred, mdrglt, codope, codinsee, typec, cbor, resumanu, numlote , motifimp, libnc,
       numchq, bankchq) 
   values 
      (numEC, numabonne, periode, dtcpt, dtsaisie, numjrnl, lib, numfact, mttdeb,
       mttcred, mdrglt, codope, codinsee, typec, cbor, resumanu, numlote, motifimp,
       libnc,numchq, bankchq);
   numrgt := numec;
End;
/
 
/*  Procedure INSERT_TEMPEC_TEMPDETEC  */
CREATE OR REPLACE PROCEDURE INSERT_TEMPEC_TEMPDETEC (
  NUMABONNE NUMBER,
  PERIODE CHAR,
  DTCPT  DATE,
  DTSAISIE  DATE,
  NUMJRNL CHAR,
  LIB VARCHAR2,
  NUMFACT NUMBER,
  MTTDEB NUMBER,
  MTTCRED NUMBER,
  MDRGLT CHAR,
  CODOPE VARCHAR2,
  CODINSEE CHAR,
  TYPEC CHAR,
  CBOR CHAR,
  RESUMANU NUMBER,
  CODPROD CHAR,
  CODTVA CHAR,
  JRNLDET CHAR,
  NUMLOTE VARCHAR2,
  MOTIFIMP CHAR,
  LIBNC VARCHAR2,
  NUMCHQ CHAR,
  BANKCHQ CHAR,
  NUMRGT OUT NUMBER) IS 
   numEC tempec.numtemp%type;
   mtt   number;
begin
   incEC(numEC);
 
   if mttdeb = 0 then
      mtt:=mttcred;
   end if;
   if mttcred =0 then
      mtt:=mttdeb;
   end if;
   insert into TEMPEC
      (numtemp, numabonne, periode, dtcpt,  dtsaisie,  numjrnl,  lib,  numfact,  mttdeb,
       mttcred, mdrglt, codope, codinsee, typec, cbor, resumanu, numlote , motifimp, libnc,
       numchq, bankchq) 
   values 
      (numEC, numabonne, periode, dtcpt, dtsaisie, numjrnl, lib, numfact, mttdeb,
       mttcred, mdrglt, codope, codinsee, typec, cbor, resumanu, numlote , motifimp,
       libnc,numchq, bankchq);
   insert into TEMPDETEC 
      (numtemp, codprod, mtt, codtva, numjrnl)
   values 
      (numEC, codprod, mtt, codtva, jrnldet);
 
   numrgt := numec;
End;
/
 
/*  Procedure INSERT_TRANSACDLA  */
CREATE OR REPLACE PROCEDURE INSERT_TRANSACDLA (
  DTSAISIE  DATE,
  HEURETRANSAC CHAR,
  OPETRANSAC CHAR,
  ENVOITRANSAC CHAR,
  NUMTRANSAC OUT NUMBER) IS 
   Vnumtransacdla transacdla.numtransacdla%type;
 
begin
   INCTRANSACDLA(Vnumtransacdla);
   insert into TRANSACDLA
      (numtransacdla, dtsaisie,heureTransac,envoitransac,opetransac) 
   values
      (Vnumtransacdla, dtsaisie,heureTransac,envoitransac,opetransac); 
   NUMTRANSAC := VNUMTRANSACDLA;
End;
/
 
/*  Procedure INSERT_VENTE  */
CREATE OR REPLACE PROCEDURE INSERT_VENTE (
  NUMABONNE NUMBER,
  CODPROD CHAR,
  DTSAISIE  DATE,
  DTSIGN  DATE,
  MTT NUMBER,
  MTTDOL NUMBER,
  CODPROV CHAR,
  CODVEND CHAR,
  CTINST NUMBER,
  CTREDUC NUMBER,
  QTEDMD NUMBER,
  STATUT CHAR,
  ORDREVTE OUT NUMBER) IS 
   numordre vente.ordre%type;
 
begin
   incvente(numordre);
 
   insert into Vente 
      (ordre, numabonne,codprod, dtsaisie, dtsign, mtt, mttdol, codprov, codvend,
      ctinst, ctreduc,qtedmd,statut) 
   values 
      (numordre, numabonne, codprod, dtsaisie, dtsign, mtt, mttdol, codprov,
       codvend, ctinst, ctreduc,qtedmd, statut);
   ORDREVTE := NUMORDRE;
End;
/
 
/*  Procedure MAJ_ABONNE_MOINS  */
CREATE OR REPLACE PROCEDURE MAJ_ABONNE_MOINS (NUMABONNE NUMBER,
   MONTANT NUMBER)  IS
   pNumAb  abonne.numabonne%type:=NumAbonne; 
begin
   UPDATE ABONNE
      SET SOLDE = SOLDE - montant
   WHERE NUMABONNE = pNumAb;
   UPDATE AG
      set sold1 = sold1 - montant,
          sold5 = sold5 - montant
   where NUMABONNE = pNumAb;
End;
/

/*  Procedure MAJ_ABONNE_PLUS  */
CREATE OR REPLACE PROCEDURE MAJ_ABONNE_PLUS (NUMABONNE NUMBER,
  MONTANT NUMBER)  IS      
   pNumAb  abonne.numabonne%type:=NumAbonne; 
begin
   UPDATE ABONNE
      SET SOLDE = SOLDE + montant
   WHERE NUMABONNE = pNumAb;
 
   UPDATE AG
      set sold1 = sold1 + montant,
          sold5 = sold5 + montant
   where NUMABONNE = pNumAb;
End;
/

/*  Procedure MAJ_AG  */
CREATE OR REPLACE PROCEDURE MAJ_AG (NUMABONNE NUMBER,
  MONTANT NUMBER)  IS   
   pNumAb  ag.numabonne%type:=NumAbonne; 
begin
   UPDATE AG
      SET SOLD1 = SOLD1 + montant,
          sold5 = sold5 + montant 
   WHERE NUMABONNE = pNumAb;
End;
/
 
/*  Procedure MAJ_DET_FACTURE  */
CREATE OR REPLACE PROCEDURE MAJ_DET_FACTURE (
  NUMPIECE NUMBER,
  MONTANT NUMBER,
  CODPROD CHAR)  IS
   pNumPiece detec.numpiece%type:=NUMPIECE;
   pCodProd  detec.codprod%type:=CODPROD;
begin
   update detec
      Set mtt = mtt + montant
   where numpiece = pnumpiece
     and codprod = pcodprod;
End;
/
 
/*  Procedure MAJ_FACTURE  */
CREATE OR REPLACE PROCEDURE MAJ_FACTURE (
  NUMABONNE NUMBER,
  MONTANT NUMBER,
  PERIODE CHAR)  IS 
   pNumAb    ecritcpt.numabonne%type:=NumAbonne; 
   pPeriode  ecritcpt.periode%type:=Periode; 
begin
   update ecritcpt
     set mttdeb = mttdeb + montant
  where numabonne = pNumAb 
    and periode = pPeriode
    and codope='AUTO';
End;
/
 
/*  Procedure MAJ_SOLDE_ABONNE  */
CREATE OR REPLACE PROCEDURE MAJ_SOLDE_ABONNE (NUMABONNE NUMBER,
  MONTANT NUMBER)  IS        
   pNumAb    abonne.numabonne%type:=NumAbonne; 
begin
   UPDATE ABONNE
      SET SOLDE = montant
   WHERE NUMABONNE = pNumAb;
End;
/
 
/*  Procedure MAJ_TOT_AG  */
CREATE OR REPLACE PROCEDURE MAJ_TOT_AG (
  NUMABONNE NUMBER,
  MTTSOLD1 NUMBER,
  MTTSOLD2 NUMBER,
  MTTSOLD3 NUMBER,
  MTTSOLD4 NUMBER,
  MTTSOLD5 NUMBER) IS
   pNumAb    ag.numabonne%type:=NumAbonne;
begin
   UPDATE AG
      SET SOLD1 = MTTSOLD1,
          SOLD2 = MTTSOLD2,
          SOLD3 = MTTSOLD3,
          SOLD4 = MTTSOLD4,
          SOLD5 = MTTSOLD5 
   WHERE NUMABONNE = pNumAb;
End;
/

/* Nuevos */

CREATE OR REPLACE PROCEDURE INSERT_RGT_DIRECT2 (NUMABONNE NUMBER,PERIODE CHAR,DTCPT DATE,DTSAISIE DATE,
                     NUMJRNL CHAR,LIB VARCHAR2,NUMFACT NUMBER,MTTDEB NUMBER,
                     MTTCRED NUMBER,MDRGLT CHAR,CODOPE VARCHAR2,CODINSEE CHAR,
                     TYPEC CHAR,CBOR CHAR,RESUMANU NUMBER,NUMLOTE VARCHAR2,
                     CODIGODEPAGO NUMBER, NUMRGT OUT NUMBER) IS
   Vnumpiece ecritcpt.numpiece%type;
begin
   incEC(Vnumpiece);

   insert into ecritcpt
      (numpiece, numabonne, periode, dtcpt,  dtsaisie,  numjrnl,  lib,  numfact,  mttdeb,
       mttcred, mdrglt, reconcil, motifimp,codope, encaisse, reste, codinsee, typec, cbor, resumanu,
      numlote,codigodepago) 
     values (Vnumpiece, numabonne, periode, dtcpt, dtsaisie, numjrnl, lib, numfact, mttdeb,
             mttcred, mdrglt, 'F', '', codope, mttcred,0, codinsee, typec, cbor, resumanu,
             numlote,codigodepago);
   numrgt := Vnumpiece;
end;
/

CREATE OR REPLACE PROCEDURE INSERT_PAGOS_LINEA (NUMPIECE NUMBER,NUMABONNE NUMBER,
                     RECAUDADOR VARCHAR2,MONTO NUMBER, FECHA DATE, TIPO VARCHAR2,
                     CODIGO_PAGO OUT NUMBER) IS
BEGIN
   INC_PL(codigo_pago);
   insert into PAGOS_EN_LINEA2
   (numpiece,numabonne,codigo_pago,recaudador,monto,fecha_pago,tipo)
   values (numpiece,numabonne,codigo_pago,recaudador,monto,fecha,tipo);
END;
/

CREATE OR REPLACE PROCEDURE INSERT_REVERSION (NUMABONNE NUMBER,PERIODE CHAR,DTCPT DATE,
                               DTSAISIE DATE,NUMJRNL CHAR,LIB VARCHAR2,NUMFACT NUMBER,MTTDEB NUMBER,
                               MTTCRED NUMBER, MDRGLT CHAR,CODOPE VARCHAR2,CODINSEE CHAR,TYPEC CHAR,
                               CBOR CHAR,RESUMANU NUMBER,NUMLOTE VARCHAR2, NUMRGT OUT NUMBER) IS
begin
   incEC(numrgt);

   insert into ecritcpt
     (numpiece, numabonne, periode, dtcpt,  dtsaisie,  numjrnl,  lib,  numfact,  mttdeb,
     mttcred, mdrglt, reconcil, motifimp,codope, encaisse, reste, codinsee, typec, cbor, resumanu,
     numlote)
   values
    (numrgt, numabonne, periode, dtcpt, dtsaisie, numjrnl, lib, numfact, mttdeb,
     mttcred, mdrglt, 'F', '', codope, 0 ,mttdeb, codinsee, typec, cbor, resumanu,
     numlote);
end;
/


CREATE OR REPLACE PROCEDURE NOMBRE_ABONADO (SOCIO number,NOMBRE out VARCHAR2) IS
begin
   SELECT NOM into Nombre
   FROM ABONNE
   WHERE NUMABONNE=SOCIO;
Exception
   when no_data_found then
      null;
end;
/

CREATE OR REPLACE PROCEDURE SP_DETALLE_PAGO (SOCIO number,NUMPIECE number,MONTO NUMBER,
                     Q_SERVICIO OUT NUMBER) IS
   c number(4);
   i number(4);
   monto_detec    number;
   monto_relativo number;
   monto_total    number;
begin
   i := 1;
   c := 0;
   monto_relativo := monto;
   Monto_total := 0;
   select sum(v.mtt)
      into monto_total
   from vente V, PRODUIT P 
   where v.CODPROD = p.CODPROD
     and v.DTRESI >= SYSDATE
     and v.STATUT = 'A'
     and v.NUMABONNE =SOCIO;

  if (monto <= monto_total) then
     FOR reg in (select v.codprod, p.CODTVA, p.JRNLVTE, sum(v.mtt) total
                 from vente v, PRODUIT p
                 where v.CODPROD = p.CODPROD
                   and v.DTRESI >= SYSDATE
                   and v.STATUT = 'A'
                   and v.NUMABONNE =SOCIO
                 GROUP BY V.CODPROD, p.CODTVA, p.JRNLVTE)
     loop
        if (monto_relativo >= reg.total) then
            monto_detec := reg.total;
        else
           if (monto_relativo > 0) then
              monto_detec := monto_relativo;
           else
              monto_detec := 0;
           end if;
        end if;
        insert into DETEC(NUMPIECE,CODPROD,MTT,CODTVA,NUMJRNL,CANTIDAD)
           VALUES (NUMPIECE,reg.codprod,monto_detec,reg.codtva,reg.jrnlvte,1);
        monto_detec := 0;
        c := c +1;
        monto_relativo := monto_relativo - reg.total;
     end loop;
  else /*si el monto es mayor a la suma de los servicios */
     FOR reg in (select v.codprod, p.CODTVA, p.JRNLVTE, sum(v.mtt) total
                 from vente v, PRODUIT p
                 where v.CODPROD = p.CODPROD
                   and v.DTRESI >= SYSDATE
                   and v.STATUT = 'A'
                   and v.NUMABONNE =SOCIO
                 GROUP BY V.CODPROD, p.CODTVA, p.JRNLVTE)
     loop
        if (i = 1) then
           monto_detec := (monto - monto_total) + reg.total;
           i := i +1;
        else
           if (monto_relativo >= reg.total) then
              monto_detec := reg.total;
           else
              if (monto_relativo > 0) then
                 monto_detec := monto_relativo;
              else
                 monto_detec := 0;
              end if;
           end if;
        end if;
        insert into DETEC(NUMPIECE,CODPROD,MTT,CODTVA,NUMJRNL,CANTIDAD)
           VALUES (NUMPIECE,reg.codprod,monto_detec,reg.codtva,reg.jrnlvte,1);
        monto_detec := 0;
        c := c +1;
        monto_relativo := monto_relativo - reg.total;
     end loop;
  end if;
  Q_SERVICIO := c;
end;
/

CREATE OR REPLACE PROCEDURE VALIDA_REVERSION2 (NUMPIECE number, MONTO OUT NUMBER) IS
   VMonto pagos_en_linea2.monto%type;
   VNP    pagos_en_linea2.numpiece%type:=NUMPIECE;
/*
Valida que existe un pago para aplicar la correspondiente reversion
si Resultado = P , entoces si se acepta la reversin de lo contrario no
*/
BEGIN
   SELECT monto INTO VMonto
   FROM PAGOS_EN_LINEA2
   WHERE NUMPIECE = VNP
   AND TIPO = 'P';
   MONTO := VMonto;
-- No atrapa la excepcion no_data_found 
END;
/

CREATE OR REPLACE PROCEDURE SALDO(SOCIO NUMBER, SALDO OUT NUMBER) IS
   VSaldo abonne.solde%type;
BEGIN
   select SOLDE INTO VSaldo
   from abonne a, prise p
   where a.numabonne = p.NUMABONNE
     and p.ESTADO = 'A'
     and a.NUMABONNE = SOCIO;
   IF (VSaldo > 0) THEN
      SALDO := VSaldo;
   ELSE
      SALDO := 0;
   END IF;
Exception
   when no_data_found then
      null;
END;
/

--PROCEDURE VERI_CONT_SOCIO (PERIODO1 Char, PERIODO2 Char,
--                           PERIODO3 Char, NUMABONNE Integer)
